AZ Paint & Animated GIF Editor

AZ Paint is a compact Paint program and Animated GIF Editor. Besides tools and filters for both basic and advanced graphic works, AZ Paint implements special capabilities which are usually lacking in ordinary paint programs.

Integrated into AZ Paint is a full version of animated GIF editor, geared for use by professionals and hobbyists alike. One may create an animated GIF file from scratch or by assembling pre-drawn frames. The functions range from extraction to rearrangement, from palette editing to BPP changing, from image enhancing to series resizing; and from modifying settings to minimizing the file size, etc.

The program allows free switching between different file formats such as BMP, JPG, GIF, PNG, TIFF, TGA, PCX, ICO and CUR. It also retrieves WMF and EMF. In addition, it allows import from AVI and ANI.

The program is highly compact, partly because it does not use any third-party ActiveX and partly because cosmetics are reduced to a minimum, Moreover, the program does not engage complicated procedural requirements.

There is an in-built flexibility in the program to cater to a variety of needs, e.g. one can opt for Single or Multi-Document Interface; can preserve EXIF data on saving JPG files, and browse to load or slide show, etc.

The Basics are outlined in the section of Introduction. To browse through the structure of the program and its major parts, go to Structure And Major Parts. For a detailed discussion on main functions, visit Main Functions. The Image Manipulations section summarizes the key areas to help enhance your images. To build new animated GIF files or to edit them, there are sufficient materials in Animated GIF Editor A separate section Digital Photo is relevant if you want to utilize the EXIF data in your digital photos, or otherwise if you want to get rid of it.

You can always look up the Index for any particular key topics, or make use of the Search facilities.


How To Reg

How To Register

The following does not apply to users who have acquired their copies of this AZ Paint through their own organization. Please refer to the internal documentation instead.

The limit of evaluation of this program is 30 days or the number of runs as stated on installation whichever occurs first (you can see the starting date and the number of runs by placing the mouse cursor over the Trial Version Serial Number in the About screen) .

(1) Click the Place Purchase Order submenu in Help menu - this is to complete a very simple ordering process via a secured site. After that, you will be given a formal License Number by the developer as soon as possible, usually the following day, if not the same day - see (2) below.

(2) If you have not already furnished your Trial Version Serial Number at the time placing the purchase order, you may send an e-mail to the developer Herman Compute to furnish your Trial Version Serial Number (You may click the displayed Trial Number in the About screen to copy it to the clipboard for pasting to your e-mail.).

(3) Finally, after receiving the License Number from the developer, go to the "Enter License Number" submenu of the Help main menu and enter the User Name and the License Number.

The system accepts "and" in lieu of "&" in the User Name; this is to facilitate processes on the internet at times.

The User Name, License Number and the registered Number of Users will be displayed in the About screen. Registered users will enjoy upgrades, and optional complementary programs, all free of charge.

Backup

(Refer Backup, User Name and License No.)


Backup, User Name and License No.

Important Backup is to protect your own registered program and to convenient yourself. Backup of your registered AZ Paint program is made easy: just copy all files under your AZ Paint program folder, e.g. Program Files\AZ Paint, to a CD or other storage medium (normally less than 5 MB in size).

Please note that

(1) Backup is to keep a copy, typically in a CD, of all files in your AZ Paint program folder (not the originally downloaded installation file, as the Trial Number will change if the installation is on a machine which never has a registered AZ Paint). You must note down your User Name and License Number, because you will be prompted to re-enter them on a restore. Before you do the backup, verify that the User Name, the License Number and the Registered Number of Users are correctly displayed in the About screen. Since the User Name and the License Number are unique to your copy of the registered program, no other means of replacement is possible (NB The User Name is case-sensitive).

(2) Restore is to copy the files of your backup to the same AZ Paint program folder. (If you find that one or more files are missing in the Windows system folder when you run the registered program, install the program first. If you don't have the installation file in hand, download one).

(3) Use on second PC is allowable provided it is of yours, e.g. a laptop of your own. Install an AZ Paint on your second PC first, then copy the backup files to the AZ Paint program folder of that PC. When prompted on the first run of the program, enter your original User Name and License Number.

(4) Upgrade (as distinguished from restore) is to re-install a newer copy/later version on the PC where there is already a registered AZ Paint. You will not be prompted for entry of User Name and License Number again (because they are still intact in your PC). For any such upgrade, install the files to the existing folder, not to a new folder. It is advisable that you uninstal the old copy first when there is already an "AZ Paint" entry in the Add/Remove listing in Windows Control Panel, in order to avoid multiple entries there. Such an uninstallation will not affect your existing License Number. However, don't manually remove any residual files in the AZ Paint program folder. For good order's sake, redo your backup after an upgrade.

(5) Multi-user license is required in a multi-user environment. If you are an organization having purchased a multi-user license, you register on the machine of the first user, do a backup, then use the backup to copy the registered program to the machines of rest users. For any subsequent purchase of additional users, use the submenu under Help menu to enter the new License Number on individual machines so that the Registered Number of Users shown in the About screen would reflect the new status.

Note: The "AZ Paint" program is protected by the copyright law and international treaties. Your License Number is duly recorded and it is limited to the User Name originally entered and the program is confined to the use by the specified Number of Users only. Any unauthorized reproduction or distribution will result in both civil and criminal penalties.


Products And Prices

Screenshot AZ Paint & Animated GIF Editor
AZ Paint & Animated GIF Editor A compact paint program and animated GIF editor. In addition to tools and filters for quality paint works, AZ Paint implements special capabilities which are usually lacking in ordinary paint programs, e.g. (i) to build, render, edit and save animated GIF files; (ii) free switching between BMP, JPG, GIF, PNG and TIFF as well as ICO and CUR files of any color depth; (iii) to read digital photo EXIF information, to preserve EXIF on saving JPG files or to synchronize file time to those of EXIF, etc. (Price US$30.00. For other price scale, see list below)
The following stand-alone supplementary programs are available, free of charge, to registered users of AZ Paint & Animated GIF Editor. If you find any or all of them of use to you, please contact Herman Compute by e-mail giving your License No.
Screenshot Spherical Wrapper
Spherical Wrapper At times you might wish to create spherical images using a flat rectangular image only. This program will do the job for you. You can select the desired size of the spheroids, number of frames, rotation angle and speed, etc. You can even select the extent of convex. Furthermore You may always fine-tune the resultant animated GIF and/or the individual frames with AZ Paint & Animated GIF Editor. (Free to registered users).
Screenshot Icon Browser
Bulk Rename Tool A utility to batch rename files in one stretch, e.g. to rename files downloaded from a digital camera. Available options are: (i) Custom Prefix plus Running Numbers; (ii) Running Numbers plus Custom Suffix; (iii) Add Running Nos. / Replace with Running Nos.; (iv) Replace String Characters; and (v) Delete Prefix/Suffix at certain positions. (Free to registered users).

Screenshot AZ Icon Editor
AZ Icon Editor A professional Icon Editor which provides all the icon/cursor drawing tools and a variety of advanced image manipulation functions, with an extremely efficient arrangement. Renowned for its stability, versatility and richness of features, AZ Icon Editor has registered users in over 30 countries. (Price US$30.00. For other price scale, see list below)

Screenshot of Animated GIF Editor
AZ Paint Pro, Icon Editor & Animated GIF Editor An all-embracing graphics application, including a full-featured Icon Editor as well as Animated GIF Editor integrated in a single program. In addition to tools and filters for quality paint works, AZ Paint Pro possesses niche of flexibility and capability far beyond what an ordinary paint program or a mere icon editor can provide, e.g. (i) a full-featured professional Icon Editor to create and edit Windows icons and cursors (static or animated); (ii) a comprehensive Animated GIF Editor to build, render, edit and save animated GIF files; (iii) free switching between BMP, JPG, GIF, PNG and TIFF as well as ICO and CUR files of any color depth; (iv) read digital photo EXIF information, preserve EXIF on saving JPG files or to synchronize file time to those of EXIF, etc. (Price US$40.00. For other price scale, see list below)

Price Scale*

License Fee For | AZ Paint & Animated GIF Editor *or* AZ Icon Editor
Single User | US$30
2 to 4 Users | Less 10%, i.e. @ US$27
5 and above Users | Less 20%, i.e. @ US$24
Institution Basis (per Site) | (Please enquire)

License Fee For | AZ Paint Pro, Icon Editor & Animated GIF Editor
Single User | US$40
2 to 4 Users | Less 10%, i.e. @ US$36
5 and above Users | Less 20%, i.e. @ US$32
Institution Basis (per Site) | (Please enquire)

* Each of the listed programs is a distinctly different product; multi-user license discounts tabulated above do not apply to a combination of different products.
* Prices are subject to revision. If there is a price revision, those currently listed on the website (and in the purchase order form) are final.
* Registered users enjoy upgrades to later versions free of charge.

How To Order
Please see "Place Purchase Order"


Place Purchase Order

The following does not apply to users who have acquired their copies of this AZ Paint through their own organization. Please refer to the internal documentation instead.

Your purchase order has to be processed through a special Secured Site as we accept and process the credit card transactions. Orders by phone or other means are also available there. Please go to www.hermancompute.com and click "Place Purchase Order" button when you are there.


How To Contact Author

Contact Addresses

Administration/Technical Support

The most convenient way to reach us (and quickest in terms of getting a response) is by e-mail, Herman Compute or visit www.hermancompute.com. All emails will receive the prompt personal attention of the developer.

The following does not apply to users who have acquired their copies of this AZ Paint through their own organization. Please refer to the internal documentation instead.

Place Purchase Order

Your purchase order has to be processed through a special Secured Site as we accept and process the credit card transactions. Orders by phone or other means are also available there. Please go to http://www.hermancompute.com and click "Place Purchase Order" button when you are there.

Communicate Trial Version Serial Number

Trial Version Serial Number can be found in the About screen (click the About submenu of the Help menu). If you did not furnish your Trial Version Serial Number when placing your purchase order, or you have not been contacted by the developer within a reasonable time, please e-mail it to the developer Herman Compute, so that a formal License Number will be issued to you via E-mail. .

Download AZ Paint

AZ Paint is downloadable at many web sites, including winsite.com, simtel.net, zdnet.com, cnet.com and hermancompute.com. You may choose any of the download sites.


FAQ

Frequently Asked Questions

AZ Paint AZ Paint

  • Where to start?
  • Why free upgrades?
  • My friend cannot run it, what advice should I give?
  • Why I have to close applications & utilities before install?
  • During installation, another program name popped up. Why?
  • How to uninstall the program?
  • How do I obtain supplementary program(s)?

I am relatively new, where to start? We would suggest you to take a cursory look of the main parts of the actual screen and the available menu items there generally. Then read the Basics in the Help text, followed by a good browse of the Main Functions. As this AZ Paint program is so rich in features and advanced functionalities, try out those which interest you most. Apply your imagination and paint a couple of images for yourself; in the process, you will naturally come to the use of different tools and functions, thus getting acquainted with them. It would do no harm just trying out various things. Refer the relevant Help topics when you have questions - in fact it would be useful to go through the Help pages even if you do not have a specific question in mind.

Why do you provide free upgrades? The rationale is simple: If there are 1% customers who do not upgrade because of a small charge, then there would be 1% copies of AZ Paint somewhere not being as good as we want them to be. Since product quality is of utmost importance to us, it must be free of charge for users to upgrade to later versions of the same product.

My friend cannot run it, what advice should I give? First of all, please note that this is a very prudent program: (i) it does not change anything to your original Windows registry and (ii) it avoids using any ActiveX control.

AZ Paint does not have any outstanding issue of bug or problem. If your friend cannot run the program after installation, chances are that he forgot to close all other running applications/utililies, including those in the systray and anti-virus program, before the installation despite repeated reminders (see Why I have to close applications & utilities before install?).

This program runs well on Win 95, 98, ME, NT4, 2000 and XP. Due to a bug in Win 2000 itself, if one has "SP 1", please update to a later SP of Microsoft first.

Another relevant point is: Do not place the installation file of this program in a folder where there is already a "Setup.exe" belonging to another software (Otherwise the installation process may be mixed up with that "Setup.exe").

Why I have to close applications & utilities before install? Most software would ask you to close other applications and utilities (including antivirus) before you start installing it. There is a definite reason behind it. The Windows centrally manages application installation configuration (as well as application uninstall). Among other things, it manages the reference counting and version checking of components which are to be shared by different applications, thus avoiding component conflicts. If the version of a component is older than the existing one in your machine, your confirmation will be sought (normally you should keep the newer version). If you don't close the running applications and utilities, then the Windows may not perform its management job effectively. The running applications/utilities include those "residing" in your system tray.

During installation, another program name popped up. Why? You have a "setup.exe" file belonging to another program in the same folder where you store the AZ Paint installation file. Delete that "setup.exe" or move the AZ Paint installation file to another folder. (Remarks: In fact, this is not a question asked frequeently; it occurred rarely, but included here because it has a reference value.)

How to uninstall the program? You should not just go to the folder and delete the files, you should follow the standard Windows Uninstall procedures, i.e. through the Add/Remove programs of the Control Panel. Before you re-install the program, e.g. to upgrade, you may wish to uninstall the old copy first; otherwise there would be more than one entries in the Add/Remove listing on the Install/Uninstall panel.

How do I obtain supplementary program(s)? Supplementary programs are available to registered customers, free of charge. If you find any or all of them of use to you, please contact Herman Compute by e-mail giving your License No.


Introduction

Instruction

As this AZ Paint program has a rather wide coverage, and is so rich in functionalities in each area, that for a new user a brief introduction is in order.

For the basics, it would be useful to browse The Basics.

To arrive at a specific topic, you can either look up the Contents section, turn to the Index tab or make use of the Search facilities.


The Basics

Avoidance of jargons This program tries to avoid using jargons, e.g. shape is used instead of path which is nothing but a shape to be outlined, filled and/or clipped. All terms used should be self-apparent, e.g. outline is used, rather than stroke (painting along the boders of a shape).

File formats supported This program (a) opens files in BMP, JPG, GIF, PNG, TIFF, WMF, EMF, TGA, PCX, ICO and CUR format; (b) saves in BMP, JPG, GIF, PNG, TIFF, TGA, PCX, ICO and CUR formats - once you have opened a file, you are free to save it to any of these said formats; (c) creates, renders, extracts, edits and saves Animated GIF files; (d) imports to animated GIF from Windows AVI and animated cursor ANI files; and (e) provides a full ICL Icon Library Processor as one of the supplement programs (free of charge). For a brief note on the commonly used formats, see A Note On File Formats.

Maximum size of image The program allows upto 25 mega pixels per each image generally; the maximum width or height of the image being 32760 pixels.

For an animated GIF, the number of frames is limited to 120, the size of each frame 3 mega pixels, and the width or height 2000 pixels.

Customer brush size: min 2 pixels, max 32. Stamp size: min 2 pixels, max 32. Custom pattern size: min 2 pixels, max 96.

File Open There are more than one ways to open a file. In most cases, you will use the Open submenu of the File main menu or click a listed file history item in the File menu, see File Open / Save.
Likewise for animated GIF files, you use the Open submenu of the Animated GIF main menu, or click a listed animated GIF file history item there (see Animated GIF Editor).

File Save You can save whatever the current image in any of the file formats supported by this program, irrespective of its origin. This means you can switch between the major file formats such as bmp, jpg, gif, png and tiff, as well as tga and pcx. see File Open / Save.

Color depth used in saving file The program always automatically determines the actual color status for you before saving it to a file. Because of this, if you want to reduce the file size in the case of a BMP, PNG, TIF or GIF, you can run BPP main menu to reduce the "Bit Per Plan" of the current picture before saving it.

GDIplus.dll XP (and 2000 SP3) users should have system-supplied gdiplus.dll in the Windows system folder already (if you don't find it, search for GDIplus.dll in the installation disk). If you are a Win 98, ME or NT4 user and you don't have it in your PC, you may fetch one from Microsoft (search for GDI+). You don't need GDIplus.dll to run this program; however, for two reasons you would wish to have it: (a) To gain native support for loading PNG/TIF file format. (b) To yield an extremely high quality result when you re-size the image. (Microsoft suggests to install it to the same folder of this program, then run the program directly from within the said folder. However, many people prefer to have it in the Windows system folder instead).

Navigation Several navigational tools are available: (1) Scroll bars (when the image is larger than the viewport); (2) Hand Scroller (i.e. drag the image directly); (3) Jump to the upper left portion or to the lower right portion of the image when the image is more than a screenful and (4) Panoramic navigator. Refer Windows Area.

View Mode v. Paint Mode There are two basic screen modes: View Mode and Paint Mode (brought about with a click on the leftmost button on Toolbar).

In View Mode, you cannot perform paint functions, however you can save a picture at whatever it's currently displayed size which (i) resulted from zoom in / zoom out or (ii) is arrived at by setting to "Fit In" display. In Fit-In display, the image is enlarged or shrunk in tandum with the changed viewport size, while maintaining its original aspect ratio. The adjusted image size is displayed on the status bar as and when you drag the window edge(s). This would be handly if you want to visuzlly gauge a resized image before saving it to a file. Unless the option of "Fit-In Even If Picture Is Smaller" is selected, if the original image is smaller than the current viewport, no fit-in would take place.

Once you switch back to Paint Mode, the image size would restore to its original size. In Paint Mode the saved image size is always that before any magnification, unless the image has been resized explicitly through the Resize menu, or you have resize the image by edge dragging (see Size & Resize).

Change Picture Size When you are not in View Mode, you can resize the image through Resize main menu or by dragging the edge of the image.

In addition to resizing the picture as a whole, it is also possible to resize a drawn region by edge dragging. If you wish to extend a rectangular region beyond the current screen, you can scroll the screen and then drag the edge of the region to change its size. Resize region by edge dragging is not available if the region results from a clipboard pasting, a newly added text from the Text function or a newly added image from the 3D Draw function. For a description of Region, refer Region tool.

At times, you might also wish to change the size of a picture by way of Crop, refer Edit Functions.

Display of measurements Shape and region measurements are displayed on the status bar, e.g. the line length, the center of an oval, starting point and size of a rectangle drawn, the size of a region, etc.

Display of a clicked point To display the [x,y] position of a click point while not in a Paint, Erase or any other operation, hold down the Ctrl key when you click the point.

Move region When there is a region on the image, you can drag it to any desired position before fixing it. Alternatively, you can simply right click on the destination spot to bring the region there. You may also use a combination of Shift+Right click to place the region in the middle of the current viewport, or Ctlr+Right click to bring the region to the middle of the image. To finalize the position of a region, click Clear Toolbox button or left click any point outside the region. Selecting another tool from the toolbox or performing a certain other function will also fix the region. (The same applies when there is a newly written text, a newly pasted image or a newly added image from the 3D Draw function. It also applies when there is a Magnifying Glass on the screen.)

Colors Panel In addition to a variety of Color Charts, a Color Mixer is provided on the Colors Panel to enable you to select from a wide spectrum of color series. Furthermore, if you wish to select a color from the image itself, there is the Color Picker in the Toolbox.

Toolbox You select one of the tools from the Toolbox to perform the image editing. These tools include Paint, Erase, Fill, Polygon, Line, Arc, Bezier Curve, Filled Bezier Curve, Rectangle, Filled Rectangle, Oval, Filled Oval, Stamp, Spray, Rectangular Region, Oval Region, Replace Color and Color Picker. When you place your mouse pointer over the individual tool buttons, you will see the respective tooltip texts - many of the tools have extended usage.

Depending on a particular tool you select, the Mouse Pointer will appear differently.

A selected tool may have a Tool Options panel. The relevant Tool Options panel automatically materializes itself when you select the tool.

While the Toolbox contains various tools, one often uses a mixture of them, e.g. after using Rectangle tool to draw a rectangle with a selected Tool Option of rounded corners, you may wish to fill it with a color to be picked from the image, hence you select Color Picker tool, and you decide to add a certain pattern on it, in that case you select Fill tool. Furthermore, you are also free to deploy tools/functions not placed inside the Toolbox, e.g. you might wish to add a text inside the rectangle..... Depending on your experience level, it might take a little while to get familiarized with all the tools/functions at your disposal - you will find that AZ Paint has plenty of them and they are readily accessible, as this is one of the main characteristics of the program.

Create Effects Apart from the essential tools in the Toolbox, this application provides numerous filters and functions for you to automate the creation of various desirable effects, such as writing solid or hollow text (see Text), auto-drawing spheres with your chosen light direction or gradient...... these fileters or functions are summarized in Effects and in Layer Operations.

Undo & Redo Up to 10 levels of Undo and/or Redo are available. In addition, when there are two or more levels of possible Undo actions, you may optionally use the "Undo All" function to roll back to the earliest stage directly.

Magnifying glass For large pictures, magnifying the whole picture has its limitations. In which case you may wish to use the Magnifying Glass to focus on a particular spot on the picture. When the Magnifying Glass is on the screen, you can drag it to the spot (or just right" click on that spot.

Options It would be useful to familiarize yourself with the available option settings, e.g. whether you would like to have SDI or MDI, whether to monitor your free RAM status if it falls below a certain level and whether to add back EXIF (if any) on saving a JPG photo file, etc.

Windows You may use the Windows menu to Cascade (to tile document windows horizontally), Tile (to tile document windows vertically) or select any of the displayed window captions to bring its window on top of the others (you can also directly click anywhere on the wanted document window to bring it on top).

Slide Show "Browse To Load Or Slide Show" screen has a button to enable you to run the slide show. If you wish to play a background music during the slide show, place a wav/mp3/mid file of your choice in the same folder of this program and rename it to "AZslide.hcl".

During a "browse to load" session, if you click a file name on the file list, or use Arrow Up/Down key to go through the file names, the highlighted file is always loaded to the same document window. To load it to a different document window (assuming you have set to MDI Option), right click the file name

Animated GIF Animated GIFs are those animating pictures that you often see on the internet screen (albeit being misused or abused nowadays). You may also occasionally see them in the incoming emails - the ones vivifying themselves upon arrival of the mail. A solid Animated GIF Editor is provided in this program. The animated GIFs can be enlivened in any browser, IE or Nescape.

Free Supplementary Programs There are supplementary programs, including ICL Icon Library Processor and Icon Sidekick, free of charge to registered users of AZ Paint. Refer Products.

File Association You may associate the file types of "bmp", "jpg", "gif" and "png" etc to this AZ Paint program, i.e. when you click one of the files, the program is automatically invoked and the file opened. Refer your Windows help on how to associate a file type.

Uninstall and Upgrade Uninstallation follows the standard Windows procedures, i.e. through the Add/Remove programs of the Control Panel (you should not just go to the folder and delete the files). Before you re-install the program, e.g. to upgrade, you may wish to uninstall the old copy first; otherwise there might be more than one entries in the Add/Remove listing on the Install/Uninstall panel.

Backup Immediately after you have registered the program, you should (1) keep a backup copy of all files in your program folder (not the downloaded installation file), and (2) keep a record of the User Name and the License No. Please read Backup, User Name and License No..

Other Useful Functions You will soon find that friendly to use as it is, this program encompasses rich functions and features, click the various menu items to familiarize yourself with them, try out the functions which interest you, and refer the relevant Help topics when you have questions.


A Note On File Formats

BMP A format created by Microsoft and IBM, representing the way Windows stores bit-mapped images. It supports the use of both paletted and true-color recording methods, uncompressed. The image is readily retrievable without a decompressing processes. However, if one needs to transmit larger files or to archive them in a library, then BMP is not a candidate as its file sizes are usually many times larger than corresponding JPGs and GIFs.

JPG JPG / JPEG stands for Joint Photographic Experts Group which wrote the standard. JPG is one of the few file formats supported by web browsers and it is adopted by digital camers in storing images. Users have the option to select a trade-off betweeen the compression ratio and the resulting image quality, and yet the file size is relatively small in all cases. However, colors in JPG might not be consistent if you repeatedly open and save the file. On the other hand, since JPG is saved in 24-bit format, it is superior than GIF if full-color is to be stored. As a general guide you might wish to use GIF instead of JPG (i) for sharp-edged images such as texts superimposed on a picture or (ii) when a transparent color is called for.

GIF GIF (Graphics Interchange Format) is also one of the few file formats supported by web browsers. As it invariably uses a palette table to record the image colors, hence the maximum number that an image can have is upto 256 only. GIF uses the LZW compression algorithm, patented by Unisys . As of 1995, Unisys decided that commercial vendors using GIF LZW compression must license its use from Unisys. As a result, more and more people are using static JPG images on the web in recent years and a new format called PNG has come into existence as an alternative (see PNG).

Animated GIF is but a GIF consisting of a series of individual image frames. The animation effect is brought about when frames are shown in turn at certain time intervals

PNG PNG (Portable Network Graphics) gained the acceptance of IE since its early years, and later of Netscape as well. It is meant to eventually supersede GIF. Unlike GIF, PNG supports both paletted and true-color storage, albeit PNG does not support a multiple image data stream (MNG, a branchout of PNG, is on the way). Comparing to JPG, PNG generally results in a larger file size, however, PNG has a "lossless compression" advantage and an optional alpha channel.

TIFF TIF / TIFF is an acronym for Tag(ged) Image File Format; it is a tag-based format.

ICO An icon is an image displayed on the screen to serve as visual mnemonics of an object. While Windows imposes no restrictions on icon sizes (except there is a size limit to be shown on the desktop), common ones are of 16x16 and 32x32 pixels. An icon can be of a 2-color, 16-color or 256-color palette, there can also be color depths beyond 256 colors, the true-color ones can be 24 BPP or 32 BPP. When compared with images of other formats, often icons do not appear to be rectangular. This is because parts of the icon image are transparent, not as a result of having appointed a particular color as transparent, but through the raster operations of combining the image part and the mask part contained in the file.

CUR A cursor is similar to icon in structure, but each cursor has a so-called Hotspot.


Dithered Colors

Most computers nowadays can display millions of colors. For practical purposes, many are just set up to display only 256 at one time. Your computer uses its own palettes to keep track of the 256 colors available. If you have selected a "high color" or above setting in Windows, your computer does not need to use palettes.

Owing to the constraint of hardware capabilities, some images may be too detailed to render. In this case you might wish to apply dithering and/or antialiasing to work around it.

Dithering is to create a visual illusion of more colors which are allowable by your monitor. Dithering results from varying shades of gray or additional dithered colors. Antialiasing is to smooth out the colors of adjacent pixels which are inherently grid-shaped, i.e. by interpolating the adjacent colors to reduce the color contrast between boundaries (see Antialiasing in Effects).

There are rich sources for you to obtain the desired colors to use, refer Colors Panel.

Depending on the capability of your hardware, and the setting you have chosen in Windows, not all the dithered colors are invariably displayed by your computer.


Alpha Channel

A common way to tell our machine the colors of the individual pixels of an image is RGB, i.e. each pixel is assigned the red, green and blue values. Thus for a 640x480 image, we have 640x480x3 values to describe its image, assuming that all colored pixels have no varied degree of transparency, i.e. all are opaque with an implied value of 255 on our scale.

If you want parts of the image to be partially transparent at varying degrees, then an extra channel component has to be added to the above-said RGB scheme. In this case, a 640x480 image would have 640x480x4 values.

The colors shown above exemplify what if you apply the alpha channel to a red image which is painted against a green background. When the alpha value is 0, you see clearly the background screen color which in this case is green.
In areas where the alpha values are 255 (100%), you see the original red paint without any dilution. In between these two values, there are translucent parts.


Structure And Major Parts

Program Main Screen
AZ Paint program main screen has the following major parts: the Menu and ToolBar; the Toolbox; the Tool options; the Colors Panel; the Windows Area for viewing/editing static images and the Statusbar. It also has a main menu to invoke the separate Animated GIF Editor screens for creating/editing animated GIF files. Each part serves definite purposes and has various components by itself. Knitting together the various parts, tools, functions and palettes, you have a really powerful and easy-to-use paint program in hand.

Depending on a particular tool you select, the Mouse Pointer will appear differently within the image area of the current window.

Some keyboard keys and mouse clicks are deployed to further the functionalities of the program. For easy reference, a summary of the important ones is provided in Extra Use Of Key / Click.


Menu And Toolbar

Menu & Toolbar

Each main menu item has submenu items providing a list of available actions from which you can make a selection in order to achieve a desired result. For example, the following are the submenus of File main menu and Animated GIF main menu.

Since menus and toolbar buttons are basically built around the available functions, to quickly learn what are available, refer Main Functions or select the individual topics in the Contents panel.

Animated GIF Editor has its own main screens and specific command buttons, see Animated GIF Editor.
Toolbar buttons are just another way of presenting the menu/submenu items, usually for the more frequently used ones. However, the following toolbar buttons do not have the corresponding submenus: Screen Mode (to toggles between View mode and Paint mode), Zoom (to zoom in and zoom out of image), Magnifying Glass (to facilitate viewing a local spot), Jump To (to jump to top leftmost or bottom rightmost of a large image) and Panoramic View (to bring about the Panoramic screen). To see the specific positions of these buttons, refer Windows Area
In addition, there are certain command buttons in the main screen not being represented either by the menu items or by the toolbar buttons, notably the tool buttons of the Toolbox and those of the Colors Panel.


Toolbox

As the name implies, the toolbox contains tools for drawing and related operations.

The purposes of individual tools are apparent; but most of the tools have extended usage. It would be useful to read the tooptip texts (place your mouse pointer over the respective tool buttons).

You select or deselect a tool by clicking on it. The respective tools in Toolbox are:
  • Paint (Freehand)
  • Erase
  • Fill
  • Polygon
  • Line
  • Arc
  • Bezier Curve
  • Filled Bezier Curve
  • Rectangle
  • Filled Rectangle
  • Oval
  • Filled Oval
  • Stamp
  • Spray
  • Region - Rectangular
  • Region - Oval
  • Replace Color
  • Color Picker
  • Clear Toolbox

    Remarks

There are options pertaining to some
individual tools (Refer
Tool Options).

The mouse pointer will vary in accordance
with the tool or function you select (See
Mouse Pointers).
Paint For freehand drawing. This is probably the tool you will use often. Select the color you want to apply, and set the brush size desired. (For options pertaining to Paint tool, i.e. Paint Brush Styles, see Tool Options).

You can enforce applying the paint in a straight vertical or horizontal alignment by holding down the Shift or Ctrl key. (Note such an enforcement will result in slower application of paint brush, hence it is preferable to use Line tool instead).

Erase For erasing paints. The erased area returns to white. There are several other methods depending on the state of your image. For example, sometimes you may prefer using Fill; sometimes it would be more efficient to use Replace Color; yet at other times you might wish to simply make use of the Cut submenu of Edit menu (draw a region, then cut it). (Available options pertaining to Erase tool are the same as Paint tool, see Tool Options).

Like in Paint tool, you can enforce applying the erasure in a straight horizontal or vertical line.

Fill To fill, or floodfill, an area with the selected color. The area being filled is an area bound by a different color or colors. You select the tool and pick the filling color first, then click a point in the area which is to be filled. (For options pertaining to Fill tool, i.e. Fill Patterns, see Tool Options).

Polygon You may choose to manually draw non-regular polygons or let the program draw regular ones for you. If you select to draw the polygon manually - left click for each new point joining the previously clicked point and right click when you want to connect the last point to the starting point. Many options are provided in a dropdown list, e.g. Outline (i.e. stroke the path) polygon, Filled polygon, Clear Inside polygon. From the dropdown list, you can also chosse to copy the drawn polygon to clipboard or crop the polygon. (For options pertaining to Polygon, see Tool Options).

Line This tool is to draw a line with the currently selected color and brush size. (For options pertaining to Line tool, i.e. Line Types, see Tool Options).

To draw a pefect straight line, hold down the Shift key while you drag the mouse.

Before you release the mouse while drawing the line, a grayish dotted line will be shown to give a visual guidance. If in a rare occasion you have a dark grayish background, temporarily check the "Use Alternative Region Marquee" in Options menu in order to make the said dotted line visible.

Arc This tool is to draw an arc with the currently selected color and brush size. You need to click three points to form an arc. Click the starting and ending points of the arc first. You can drag to adjust the arc size before releasing the mouse for the last point. (For a skewed curve, use Bezier Curve tool.)

To add a chord to the arc, hold down the Shift key before releasing the mouse for the last point.

Bezier Curve Originally developed by Pierre Bezier for CAD/COM design applications, bezier curve is often used in spline-based 3D drawings. This program visually presents the function of four points (nodes); so that all you have to do is just drag any of these nodes. To finalize the bezier curve, right click.

Filled Bezier Curve Before you start a filled bezier curve operation, select the color to fill first. To select a color from the system's color chart, click the color dialog button in Filled Bezier Options panel. To copy the current Selected Color to Filled Bezier Color, right click on Filled Bezier Color (see Tool Options). Remarks: After drawing a bezier cursve, you can change the filled color(s) or "stroke" the filled area with a fill pattern. (Refer Fill tool).

Rectangle To enable you to draw a rectangle. The rectangle/square drawn is not filled with the drawing color. (For options pertaining to Rectangle tool, i.e. Rectangle Corner Types, see Tool Options).

If you hold down the Shift key while dragging the mouse to form a rectangle, a perfect square will be drawn.

Before you release the mouse while drawing the rectangle, grayish dotted lines will be shown to give a visual guidance. If in a rare occasion you have a dark grayish background, temporarily check the "Use Alternative Region Marquee" in Options menu in order to make the said dotted lines visible.

Filled Rectangle Similar to Rectangle tool, only that this time the rectangle/square drawn is filled with the drawing color. (For options pertaining to Filled Rectangle tool, i.e. Rectangle Corner Types, see Tool Options).

If you hold down the Shift key while dragging the mouse to form a rectangle, a perfect square will be drawn.

Oval To draw an unfilled oval. (For options pertaining to Oval tool, i.e. Oval Enhancement, see Tool Options).

If you hold down the Shift key while dragging the mouse to form an oval, a perfect circle will be drawn.

Before you release the mouse while drawing the oval, grayish dotted lines will be shown to give a visual guidance. If in a rare occasion you have a dark grayish background, temporarily check the "Use Alternative Region Marquee" in Options menu in order to make the said dotted lines visible.

Filled Oval To draw a filled oval, (For options pertaining to Filled Oval tool, i.e. Oval Enhancement, see Tool Options).

If you hold down the Shift key while dragging the mouse to form an oval, a perfect circle will be drawn.

Stamp Make your own stamp by typing in a text or by loading a stamp from a bmp file (min 2 pixels and max 96 for the width/height of the stamp bmp). After loading the stamp, with a text or an image, click on any point(s) on the picture to stamp on. (For Stamp Source, see Tool Options).

Remarks: For JPG photos downloaded from a digital camera, you can batch stamp a text on the photos, e.g. to mark where the photos were taken. Run "Stamp Photos With EXIF Date (&/Or Text)" submenu under DigiPhoto main menu (see Stamp Photos).

Spray The spray uses the current Selected Color and the noozle size per currently selected Brush Size, but you can adjust the density and the degree of opaqueness of spray. (For options pertaining to Spray tool, see Tool Options).

Region - Rectangular A region is an area formed by dotted lines enclosing it. You draw the dotted lines by holding down the left mouse button and dragging it, extending from the starting point.

To form a region of perfect square, hold down Shift key while dragging the mouse.

You use Region tool, for example, when you want to move a portion of image to another area, to erase it (Cut submenu of Edit menu) or to flip flap it, etc. If you (i) paste an image onto the current picture, (ii) write a text, (iii) run Add 3D Draw or (iv) return from a Layer operation, the newly pasted area becomes a region also, though the originally painted area beneath it remains intact when you move the region.

Additionally, you may carry out some other types of region operations, viz. Create Border and Add Shadow. (For options pertaining to Region tool, see Tool Options).

Furthermore, you can run Crop per Region submenu of Edit main menu, or Crop per Image Inside Region submenu (if the region resulted from Text or Paste Transparent).

You may resize a region after it is drawn. To resize a region, place the mouse pointer over the edge of the region. When you see the region dragging cursor appears, hold down the mouse and drag the edge line to extend or shrink the region. (Resize of region by edge-dragging will not apply to a pasted image including a newly added text or a newly added 3D Draw).

Instead of moving the region by dragging, you can simply right click the destination point. Furthermore: (i) if you are to place the region in the middle of the current viewport, hold down Shift key and right click on any point ontside the region; (ii) if you are to place the region in the middle of the entire image, hold down Ctrl key and right click on any point ontside the region. (Remarks: when the image is not larger than the viewport, both (i) and (ii) achieve the same result).

The drawn region will be cleared if you select another tool, click Clear Toolbox button or left click a point outside the region,

Grayish dotted lines will be shown wrapping the region. If in a rare occasion you have a dark grayish background, temporarily check the "Use Alternative Region Marquee" in Options menu in order to make the said dotted lines visible.

Region - Oval Instead of a region in rectangular shape, draw a region in oval shape. For example, if you crop the oval region, the cropped image is of an oval shape. (For options pertaining to Region tool, see Tool Options).

To form a region of perfect circle, hold down Shift key while dragging the mouse.

You may resize an oval region after it is drawn. To resize an oval region, place the mouse pointer over one of the four outermost points of the oval. When you see the region dragging cursor appears, hold down the mouse and drag the oval edge line to enlarge or reduce the oval

Grayish dotted lines will be shown wrapping the region. If in a rare occasion you have a dark grayish background, temporarily check the "Use Alternative Region Marquee" in Options menu in order to make the said dotted lines visible.

Replace Color To replace a painted color with the currently selected color. When you have a color scattered throughout the image, and you wish to replace it with another color, then make use of this tool. To carry out the operation, you select the tool, then click on the image at any point where there is the color to be replaced. (Refer Effects, if you are to adjust brightness of colors, sharpen/soften image, apply antialiasing or set/change a color scheme ......)
Color Picker To obtain a color which matches a particular color in the existing image, select Color Picker, then click on the image at a spot where there is the wanted color.

Clear Toolbox To be optionally used to clear any selected tool, as an alternative to deselecting a particular tool itself.

Remarks:

For Paint / Erase / Oval / Filled Oval / Region / Oval Region tool, temporary dotted lines will be shown for you to ascertain the current mouse pointer position on [x, y] axix if you hold down the Ctrl key while you move the mouse pointer (before pressing the mouse). Release the Ctrl key when you start performing the said tool operation. Once the mouse is down, temporary lines will be cleared. Note: To use this feature, you have to set "Turn On [X, Y] Axis Lines" option in "Options For Current Session Only".

For Fill / Replace tool, a tooltip text is automatically shown when you move the mouse, showing the current mousepointer position and RGB values of the pointed pixel.


Tool options

Tool Options (Options Pertaining To A Selected Tool)

Each of the following tools has its Tool Options. The panel containing the tool options automatically appears below Toolbox Panel (and Colors and Brush Size Panels), when you have selected the tool.

  • Paint Brush Styles (1)
  • Fill Patterns (2)
  • Polygon Draw Options (3)
  • Line Types ( 4)
  • Filled Bezier Color (5)
  • Rectangle Corner Shapes (6)
  • Oval Enhancement (7)
  • Stamp Options (8)
  • Spray Options (9)
  • Region Extra Options (10)

For descriptions of individual tools,
refer Toolbox).
1. Paint Brush Styles

Options pertaining to Paint tool or Erase tool. There are 8 brush styles provided for you to choose from. You can also use your own custom brushes. Selection of degree of opaqueness is available for Brush Style 3, 4, 5, 6, 7 and 8, as well as for Custom Brushes.

When Custom option is selected, you use your pre-drawn bmp file (minimum width/height being 2 pixels and maximum 32), and you set whether to treat the custom brush as Rectangular brush (i.e. entire image) or as Oval brush (i.e. skip corners of the image). You may also choose the manner in which the custom brush is to be applied.

A reminder: You can enforce applying the paint in a straight vertical or horizontal alignment by holding down the Shift or Ctrl key.
2. Fill Patterns

Options pertaining to Fill tool. In addition to the patterns shown, you can use your own designed patterns. When Custom option is selected, you use your pre-drawn bmp file, minimum width/height being 2 pixels and maximum 32, A test panel is provided when you retrieve your pattern file; if no pattern appears there, then it is not a valid pattern or a pattern unacceptable to the system.
3. Polygon Options

Options pertaining to Polygon tool. You can choose either Manual or Auto. In either case, there is a dropdown options list, enabling you to create polygones of different type: (i) Outline; (ii) Filled; or (iii) Clear Inside. In addition, you can opt to copy the a drawn polygon to clipboard and/or to have it cropped.

If Auto is selected, polygons are of regular ones. You select the radius, number of sides/angles, whether convex or concave (and if concave, select a factor between 0.1 to 0.9).
4. Line Types
Options pertaining to Line tool, such as antialiased, solid, dotted, dash, dash-dotted and with arrowhead...etc

A reminder: To draw a perfect straight line (at 0, 45, 90-degree line angle), hold down Shift key while drawing.
5. Filled Bezier Color

Options pertaining to Filled Bezier tool. This tool is but to enable you to choose the fill color. To select a color from the system's color chart, click the color dialog button in Filled Bezier Options panel. To copy from current Selected Color to Filled Bezier Color, right click the Filled Bezier Color.

Reminder: After drawing a bezier cursve, you can change the filled color(s) or fill the area with a fill pattern (refer Fill tool).
6. Rectangle Corner Shapes

Options pertaining to Rectangle tool and Filled Rectangle tooll. You can choose to have rectangles with round corners, of different kinds.

A reminder: To draw a perfect square, hold down Shift key while dragging the mouse.
7. Oval Enhancement
Options pertaining to Oval tool and Filled Oval tool. Select whether to apply antialiasing.

A reminder: To draw a perfect circle, hold down Shift key while dragging the mouse.
8. Stamp Options

Options pertaining to Stamp tool. You can select to type in a text or retrieve a bmp file containing the stamp (min width/height being 2 pixels and max 96), After loading the stamp, click any point(s) on the picture to stamp on.

Extra options are provided for you to texturize the stamp.
9. Spray Options

Options pertaining to Spray tool. The spray uses the current Selected Color and the noozle size per currently selected Brush Size, but you can adjust the density and the degree of opaqueness of spray.
10. Region Extra Options

Options pertaining to Rectangular Region tool and Oval Region tool. Likely you are to use Region tool a lot. For a detailed description of Region tool, refer Region Rectangle.

When there is a region drawn, pasted from the clipboard or resulted from a Text or other operation, you can drag to move the region, rotate it, copy it to clipboard or crop it ....... Additionally, you can use Region Extra Options to Create Border and/or to Add Shadow (for Rectangular Region only). For example, you can use Create Border after writing some text, you can also use Add Shadow to create a dropdown shadow effect to the bordered region, suitable as an inset. If you are to crop the region or to crop the image inside the region, click Edit menu and select the respective submenu.

Note: There is a distinct difference between Add Shadow in Region Extra Options and that of Effects menu. The former creates a shadow to the entire region (the shadow is outside the region) while the latter to image areas inside the picture - refer Add Shadow of Effects.


Colors Panel

There are rich sources in this program for you to obtain whatever the desired colors to use. These include various ready-to-use Color Charts, a button to invoke the system's color chart, another to load your own PAL palette file, and yet another for the "web-safe" color chart, or the 16-color color chart, or the 256 grayscale color chart. Advanced users can even enter color values directly. You may switch between different color charts. This AZ Paint program has also equiped with a color mixer and facilities for you to save/load your own palette files.

If you place the mouse pointer over the 16-color chart for a little while, the name of the color under the mouse pointer will be displayed.

To select a color, click on any of the displayed colors; these include the colors on the color charts, those on the mixed color palette and the displayed individual composition colors themselves.

The current Selected Color is displayed at the top. The color below the Selected Color is called the Second Color. It is there to allow you to switch between two colors, as an added convenience. To see its color element composition of each, just click on the color.

Use the three scroll bars of the Color Mixer to set composition values. The resulting Dithered Color is shown above these scroll bars.

You can also use the special button adjacent to the "Dithered Color" to copy the current "Selected Color" to this "Dithered Color", so that you may then use the "+" and "-" buttons to lighten or darken it, at your own chosen intervals (e.g. "17" as shown).

Note 1: To obtain a color which matches a particular color in the existing image, click the Color Picker tool, then click on the image at a spot where there is the wanted color (see Color Picker).

Note 2: The Color Value does not appear to be in RGB order (contrast to its HTML value).

Note 3: Refer also BPP Change (Color Reduction) for a discussion on BPP.


Windows Area

If you have selected the Multi-Document-Interface (MDI) option in Options main menu, you can have many windows co-existing within the Windows Area at any one time, each to contain an image you retrieved from a file, pasted from the clipboard and/or other sources. You may use the Windows main menu to Cascade (to tile document windows horizontally), Tile (to tile document windows vertically) or select any of the displayed window captions to bring its window on top of the others (you can also directly click anywhere on the wanted document window to bring it on top).
Navigation

For each window, several navigational tools are available when the image is larger than its viewport (window) size:
  • Scroll bars.
  • Hand Scroller (drag the image directly - the viewport serves as a superimposed frame rather than as a container).
  • Jump To (click one of the arrow images at the upper right corner of screen to directly jump to the upper left portion or to the lower right portion of the image when the image is more than one screenful).
  • Panoramic Navigator (click the image at the upper right corner of screen to bring about the Panoramic screen).
View Mode v Screen Mode

At times you may wish to have a larger windows area for the displayed images. In that case, you can click the Screen Mode button at the top leftmost of the toolbar. This said button toggles between View Mode and Paint Mode for the document windows. When it is in View Mode, the Toolbox, Colors Panel and Tool Options Panel are temporarily put away, thus yielding a larger windows area.

In View Mode, you cannot perform paint functions, however you can save a picture at whatever it's currently displayed size which (i) resulted from zoom in / zoom out or (ii) is arrived at by setting to "Fit In" display. If you have ticked the Fit In box, the display of the entire image will be fitted to the size of current viewport, except for an adjustment to maintain the aspect ratio of the image In Fit-In display, the image is enlarged or shrunk in tandum with the changed viewport size, while maintaining its original aspect ratio. The adjusted image size is displayed on the status bar as and when you drag the window edge(s). This would be handly if you want to visuzlly gauge a resized image before saving it to a file. Unless the option of "Fit-In Even If Picture Is Smaller" is selected, if the original image is smaller than the current viewport, no fit-in would take place.

Once you switch back to Paint Mode, the image size would restore to its original size. In Paint Mode the saved image size is always that before any magnification, unless the image has been resized explicitly through the Resize menu, or you have resize the image by edge dragging (see Size & Resize).

At times, you might also wish to change the size of a picture by way of Crop, refer Edit Functions.


Status Bar

The status bar is mainly used to display (i) the file specification; (ii) whether Single-Document-Interface (SDI) or Multi-Document Interface (MDI) is opted; (iii) the measurements of certain tool operations such as Line, Rectangle, Oval and Region; (iv) the net image size in pixels (before any magnification); and (v) the image size on current screen (after you have magnified the image).

Remarks: The "net image size" in (iv) above may be different to the image size per original file, resulted from one of the Resize operations. To see the image size per original file, click General Properties submenu of Inquiry main menu.

The type of display will vary. For example, if it is a newly created image, the file name will appear as "Untitled".
The measurement section of the Statusbar shows any of the following measurements:
  • Line -- the starting and ending points, the line length in pixels and the line angle in degrees (irrespective of which way the line is drawn).
  • Arc -- starting and ending points, the center point and the radius.
  • Rectangle or Filled Rectangle -- the starting point, the width and the height.
  • Oval or Fill Oval -- the center point, the radius and the width and height spanned.
  • Region -- the starting point, the width and the height.
  • Oval Region -- the center point, the radius and the width and height spanned.
  • Point of click -- the [x, y] position and the RGB values of color (Hold down the Ctrl key when you click the point, while you are not in Region or any other opertion).
All the above-said measurements are always in terms of the original image size

Note that the displayed [x, y] points are zero-based, i.e. point [x, y] starts from [0, 0].

If the file specification is too long, the status displays only the abbreviated one; you can click Inquiry main menu to view the full file specification.


Mouse Pointers

The mouse pointer will vary in accordance with the tool you hvae selected and the status of current operation:


Extra Use Of Key / Click

Some keyboard keys and mouse clicks are deployed to further the functionalities of the program. For example, most of the tools in ToolBox have extended usage (you can see them if you place the mouse pointer over the respective tool buttons).

For easy reference, a summary of the important ones is provided below:
  • In Region Tool: Instead of moving a drawn region by dragging, you can simply right click the destination point outside the region (see Remarks below). Furthermore: (i) if you are to place the region in the middle of the current viewport, hold down Shift key and right click on any point ontside the region; (ii) if you are to place the region in the middle of the entire image, hold down Ctrl key and right click on any point ontside the region.

    • On writing a text, on pasting from clipboard, on returning from Add 3D Draw and during Layer operations, a region will automatically be formed for you. This means you can move the region by dragging OR simply right click the destination point outside the region. (To fix the region position, left click on any point outside the region or click Clear Toolbox button.)

    • In text writing, you can right click on the region to revise the written text before you fix the region position (rather than fix it and then Undo).

  • If Magnifying Glass is in use, instead of moving it by dragging, you can simply right click the destination point outside the Glass.

  • In Paint Tool: You may hold down Shift / Ctrl key to enforce applying the paint in a straight vertical / horizontal alignment.

  • In Line Tool: To draw a pefect straight line, hold down Shift key while you drag the mouse.

  • In Arc Tool: You can drag the last of the three points to adjust the arc size before releasing the mouse. To add a chord to the arc, hold down Shift key before releasing the mouse for the last point.

  • In Rectangle / Filled Rectangle / Region Tool: To draw a perfect square, hold down Shift key while dragging the mouse to form a rectangle.

  • In Oval / Filled Oval / Oval Region Tool: To draw a perfect circle, hold down Shift key.

  • In Paint / Erase / Oval / Filled Oval / Region / Oval Region Tool, temporary dotted lines will be shown for you to ascertain the current mouse pointer position on [x, y] axix if you hold down Ctrl key while you move the mouse pointer (before pressing the mouse). (Remarks: Release Ctrl key when you start performing the said tool operation. Once the mouse is down, temporary lines will be cleared). Note: To use this feature, you have to set "Turn On [X, Y] Axis Lines" option in "Options For Current Session Only".

  • Display of point of clisk: To display on the status bar the [x, y] position and the RGB values of color, hold down Ctrl key and click the point, while you are not in any tool operation.


Main Functions

In this program, functions are categorized by their nature and grouped together according to the activities entailed. The following represent the commonly used ones. The functions listed below pertain to general Paint program for static pictures, not Animated GIF Editor which has its unique functions within.

(General)

File Open / Save
Browse to load or slide show
Edit Functions
Flip, Flap & Rotate
Size & Resize
BPP Change (Color Reduction)
Batch Convert File Format
Batch Streamline Image Size
Print
Inquiry
Options
Windows

(Image manipulations)

Text
Effects
Layer Operations

Please browse the submenus of the individual main menu items for the unlisted functions


File Open / Save

File formats supported

This program opens files in BMP, JPG, GIF, PNG, TIFF, WMF, EMF, TGA, PCX, ICO and CUR formats in the program's main screen; and saves in BMP, JPG, GIF, PNG, TIFF, TGA, PCX, ICO and CUR formats - once you have opened a file, you are free to save it to any of these said formats. For a brief note on the commonly used formats, see A Note On File Formats.

Maximum size of image

The program allows upto 25 mega pixels per each image generally; the maximum width or height of the image being 32760 pixels.

File Open, Drag & Drop

Use Open submenu of File main menu in the program's main screen to open any of the allowed file formats. There are more than one ways to open a file:.

  • Click Open submenu of the File main menu.
  • Click Open In Existing Window submenu of the File main menu.
  • Click Browse To Load Or Slide Show submenu under File main menu, to optionally display files in a list or in the form of thumbnails for your selection.
  • Click a listed file history item in the File main menu.
  • Drag a file from Windows Explorer and drop it to any area on the existing canvas.
  • If you are not already running the program, drop an image file to the AZ Paint icon on your desktop (or to the AZPaint.exe file), thus opening the program and loading the image at the same time.

If you use File --> Open to load an animated GIF file in the program's main screen, then only the first frame will be loaded.

Remarks: For animated GIF files, you use the Open submenu of the Animated GIF main menu, or click a listed animated GIF file history item there (see Animated GIF Editor). If the loaded GIF has a single image only and you wish to treat it as an ordinary single-image GIF, just click the "Select" button on the Animated GIF main screen to switch it to the ordinarly document window (and thus exiting the Animated GIF main screen).

File Save

You can save the current image in any of the file formats supported by this program, irrespective of its origin. This means you can switch between the major file formats such as BMP, JPG, GIF, PNG, TIFF, TGA and PCX, as well as ICO and CUR.

Save As Icon/Cursor (Export to icon/cursor)

You can save the current picture as icon/cursor of a selected size, preserving aspect ratio or otherwise. You can also draw a region and save that region as icon/cursor.

Color depth used in saving file

The program always automatically determines the actual color status for you before saving it to a file. Because of this, if you want to reduce the file size in the case of a BMP, PNG, TIF or GIF, you can run BPP main menu to reduce the "Bit Per Plan" of the current picture before saving it.

For JPG files, you select the wanted "% Quality" from the menu instead, balancing the required quality and the compression rate. Which percentage to select will depend much on the condition of your current image and the purported use of the saved file, e.g. if for draft usage, 55% might be good enough. Generally 75% is fine. Note that due to the JPG compression algorithm, the reported color depth is invariably 24-bit, if not a grayscale, when you click Inquiry.

PNG Transparency

For PNG and GIF files, you have different options to select during a File Save session, e.g. transparency and/or interlacing (Interlacing is to allow a progressive display of an image when its size is large). Note that unlile GIF, PNG transparency may mean a transparent color applicable throughout or an alpha channel on a per pixel basis.

When an image has colors in thousands, a 24-BPP/32-BPP PNG file could be large; in that case you can opt to save it to paletted 8-BPP instead.

Inquiry

You can always click "Inquiry" main menu to inquire about the actual color depth of the current image, and if necessary run "BPP" main menu to reduce the color depth, before saving the image to a file (If JPG, however, see previous paragraph).

Find Differences Between Pictures
Sometimes you may wish to obtain an image showing the differences between two pictures. Run the "Find Differences Between Two Pictures" submenu under the "File" main menu.


Browse To Load or Slide Show

The Browse File screen lists files of the selected file extension as and when you change the folder. It serves four purposes: (i) list files of a desired pattern ready for your selection; (ii) let you use the arrow up/down key to go through individual files (see remarks below); (iii) optionally to show thumbnails side by side with the file list; and (iv) optionally to run a slide show of individual files in the current folder.

(Remarks: If the arrow up/down key is not operational, click an item on the file list to highlight it first.)
If you are to browse pictures of monster sizes, presumably downloaded from a digital camera, you may wish to select "At Fit-In View Mode" submenu, so that all pictures would be viewed at the current viewport size.
To load the image of a file to the document window, click the file name in the file list or use Arrow Up/Down key. Note: The selected file is always loaded to the same document window, unless you use right click to load it to a seperate window instead (assuming you have set MDI Option).
During a thumbnail session, a left click on a thumbnail will also load the image, same effect as if you click on the file list. You may right click on the thumbnail if you want to have the file deleted from your disk.
If you are to run a Slideshow session, select the Screen Size, Transition Type and Speed, then click Slide Show button.

There are five screen sizes to choose from:
  • Original Size (variable at actual picture sizes). If larger than viewport, proportionately reduced.
  • Original Size projected to Full Screen (variable per original picture sizes, enlarged/shrunk to a full viewport size while maintaining original aspect ratios of respective pictures).
  • Fixed Size Per First Frame (use the size of first picture throughout, aspect ratio not kept for subsequent frames if their sizes are different to first frame).
  • Fixed Size Per First Frame projected to Full Screen (basing on the size of first picture, enlarged/shrunk to a full viewport size, aspect ratio is kept pertaining to first picture only).
  • Full Screen (fixed full viewport size; aspect ratio not kept).
Transition effects are available only with fixed screens, viz. (3), (4) and (5) above. If you know all the pictures in the current folder are of same size, then you might wish to select (3) or (4) in order to gain the transition effects you want.
A variety of transition effects are available, such as Slide, Page, Wipe, Curtain, Radial, Fan, Diagonal and Porthole.
If you wish to play a background music during the slide show, place a wav/mp3/mid file of your choice in the same folder of this program and rename it to "AZslide.hcl".
During the slide show the Windows' system bar may or may not be visible, depending on whether you have set it Always On Top or not in your Windows system. However, the buttons shown below are always visible at top right corner.
Respectively for "Go to previous", "Toggle pause/resume", "Slower", "Faster" and "Exit".
Tips If individual images are of the same size, you may contain them into a single animated GIF file, to make it as an automated slideshow file. Although the resultant file does not have audio, it does not require a special software to display the individual images in it. The steps entailed are simple enough: Run "New Animated GIF File" submenu of "Animated GIF" main menu - In the New Animated GIF Screen, select the wanted files to include, then select the desired Delay time, which is the pause time between frames (leaving all other default settings unchanged if you wish), and finally click Create button.


Edit Functions

There are quite a number of submenus under Edit main menu, relating to Undo/Redo, Clipboard operations, Crop operations and Clear Image.

Undo / Redo

Up to 10 levels of Undo and/or Redo are available. In addition, when there are two or more levels of possible Undo actions, you may optionally use the "Undo All" function to roll back to an available earliest stage directly. Undo/Redo is available only before you commit the changes made, such as File Save.

Clipboard Operations

Clipboard operations include
  • Cut & Copy
  • Cut/Erase Region
  • Copy (whole or region if in existence)
  • Paste
  • Paste Transparent (per Top Pixel)
  • Paste Translucent
  • Clear Clipboard
Remarks: "Top Pixel" here refers to the pixel at [0, 0] position of the image.

In Paste operation, the pasted image will be placed at the top left corner of the viewport (which may or may not be the [0, 0] position of the image); you may move it as a region to anywhere (I) by dragging, or (II) by a right click on the destination point. However, you are not allowed to resize a pasted region.

To bring the region to the middle of the entire image, just hold down Ctrl key and right click on any point onside the region. To place the region in the middle of the current viewport , hold down Shift key and right click on any point onside the region.

If you are to Paste Translucent, you may choose whether to treat the color per top pixel as transparent. You can also select the desired degree of opacity (percentage of translucency).

If you click Undo before committing a pasted region, the pasted region is removed entirely. To commit the pasted region, click Clear Toolbox button or left click any point outside the region.

You can flip/flap a pasted region, or rotate it at an 90-degree angle (refer Flip, Flap and Rotate). You may also perform other peripheral region operations such as Add Border and Add Shadow (refer Region Options).

Crop per Region

To dispose all areas outside the region, the region being the only remaining part on the current picture afterwards, i.e. the resulting picture size is that of the previous region size. This submenu is available only when there is a region.

Crop per Image Inside Region

To dispose all areas outside the region, also to dispose areas outside the painted areas of the region. The areas having the color as at the top pixel of the region (i.e. pixel at [0, 0] position) are treated as unpainted, hence will be disposed of. For example, if the painted area is a six-sided polygon, then the cropped picture will be that polygon. This submenu is available (i) after the Text operation or (ii) after the Paste Transparent operation.
Remarks: It is also posibble to crop a polygon, refer Polygon of the Toolbox.

Clear Image

Either (a) to clear all paints on current image, making it a blank (with white background only); or (b) to clear paints outside a selected region.


Flip, Flap and Rotate

Flip horizontally or vertically
(Apply to whole image or a selected region if in existence)
Rotate left or right at 90 degrees
(Apply to whole image or a selected region if in existence)
Rotate at any angle
(Apply to whole image only)
If Rotate At Any Angle, (i) Tick the Resize To Fit checkbox if this is desired; (ii) Tick the Antialiasing checkbox if antialiasing is wanted. Antialiasing is a technique attempting to smooth edges which may result from rotatiing at an odd angle.

Rotation at an odd angle (not divisible by 45) seldom yields an ideal result. This will depend on the shape of the image; generally round-shaped images get a better result than rectangular ones do. This is due to the fact pixels are inherently rectangle-shaped. Therefore, after a rotation at an odd angle, you might have to touch up your image to arrive at better result.


Size & Resize

The size of currently displayed image is monitored in the status bar, and is being updated as and when you resize the screen.

When you are not in View Mode, you can resize the image by any of the following methods:

  • Run one of the submenus of Resize main menu:

    • Resize You can select to (i) resize in terms of a percent of the original width and height; (ii) resize in terms of a percentage of the original area (i.e. width x height); or set width and/or height (with or without maintaining the aspect ratio). Furthermore, you can opt to

      • Resize canvas and picture - with antialiasing
      • Resize canvas and picture - without antialiasing
      • Resize picture only (canvas size remains) - with antialiasing
      • Resize picture only (canvas size remains) - without antialiasing
      • Resize canvas - adjust right and/or bottom edges
      • Resize canvas - adjust left and/or top edges

    • Adjust Edges You can select to extend or reduce a single edge or multiple edges at left, top, right and/or bottom.

  • Drag the edge of the image (if you see there are four tiny nodes at the four edges of the image). Resizie image by edge dragging is not available when the image is larger than the viewport or while a certain paint operation is in process.
If you run Resize submenu, using gdiplus.dll would result in a better resize quality. XP (and 2000 SP3) users should have system-supplied gdiplus.dll in the Windows system folder already. If you are a Win 98, ME or NT4 user and you don't have it in your PC, try to fetch one from Microsoft - refer Basics.

Sometimes you may wish to change the size of a picture by way of Crop, in that case, refer Edit Functions.

A reminder: you can go back to a previous size with Undo/Undo All.

Quality Issue

When you enlarge/shrink the picture using Resize main menu, the resultant quality depends mainly on (a) the shape and condition of paints on the picture; (b) the ratio at which the picture is resized (generally to resize at a multiple of the original size yields a better result than, say at 195%); and (c) the tool/algorithm used by the program (you will find that this AZ Paint program is superb in this respect)..

Resize Region

In addition to resizing the picture as a whole, it is also possible to resize a drawn region (rectangular or oval) by edge dragging.

If you wish to extend a rectangular region beyond the current viewport, you can use the scrollbar to reveal that part of image hitherto not visible yet, then drag the edge of the region to extend it into the newly revealed area which has been brought about by using the scrollbar.

Resize region by edge dragging is not available if the region results from a clipboard pasting, a newly added text from the Text function or a newly added image from the 3D Draw function.

For a description of Region, refer Region tool.

Display of measurements

Shape and region measurements are displayed on the status bar, e.g. the line length, the center of an oval, the starting point and size of a rectangle drawn, the size of a region, etc.

Display of A Clicked Point

To display the [x,y] position of a click point while not in a Paint, Erase or any other operation, hold down the Ctrl key when you click the point.

View Mode v. Paint Mode

There are two basic screen modes: View Mode and Paint Mode (brought about with a click on the leftmost button on Toolbar).

In View Mode, you cannot perform paint functions, however you can save a picture at whatever it's currently displayed size which (i) resulted from zoom in / zoom out or (ii) is arrived at by setting to "Fit In" display. In Fit-In display, the image is enlarged or shrunk in tandum with the changed viewport size, while maintaining its original aspect ratio. The adjusted image size is displayed as and when you drag the window edge(s). This would be handly if you want to visuzlly gauge a resized image before saving it to a file. Unless option of "Fit-In Even If Picture Is Smaller" is selected, if the original image is smaller than the current viewport, no fit-in would take place.

Once you switch back to Paint Mode, the image size would restore to its original size. In Paint Mode the saved image size is always that before any magnification, unless the image has been resized explicitly through the Resize menu, or you have resize the image by edge dragging (as discribed above).


BPP Change (Color Reduction)

Bit Per Plan of a picture denotes how it records the data of colors used and thus whether it is bound by a certain/limited number of colors:

  • 1 - BPP 2 colors (Black and white)

  • 4 - BPP Upto 16 colors (Note that they are not any 16 colors; but static ones only - for this reason there is a separate 16-color palette in Colors Panel)

  • 8 - BPP Upto 256 colors

  • 24 - BPP Upto 16,777,216 colours (This explains why it is often referred to as True Color. Note that although 24 bits are used to store the color for each pixel, 32 bits of memory are used owing to the way data is being processed in computer)

  • 32 - BPP Same as 24-bit. (The hitherto unsed 8 bits for each pixel can be used to store an alpha value, e.g. some icons are with alpha values in XP. See Alpha Channel)
From the above, a color reduction can be achieved by means of a BPP change. Often people want to reduce color in order to, for example, reduce the file size in the case of a BMP, PNG , TIF or GIF. Smaller size is desired for internet transmital or for library archieves.

For JPG files, however, a reduction of file size is obtained generally through balancing out the compression ratio and the resultant image quality (due to the JPG compression mechanism, the reported color depth is always 24-bit, if not a grayscale, when you click Inquiry).

The program automatically detects the color depth of your current picture when you click BPP main menu. For example, if the picture is already of 8-BPP, "To 256-Color" submenu would be dimmed, leaving only other submenus available.

Available submenus
  • To 256-Color
  • To 16-Color
  • To 2-Color
  • To Websafe

Quality Issue

To-256 Color usually yields a good result. Fortunately for display purposes, as distinguished from for laboratory analysis, the difference between the original and the resulting picture is often not so noticeable even when you reduce from over 10,000 to not more than 256 colors count.

To Websafe tends to produce a lower grade of image, due to the fact that the available choices of Red, Green and Blue elements are limited (see also Websafe palette in Colors Panel) .

Color depth used in saving file

The program always automatically ascertains the actual color status for you before saving it to a file. Because of this, if you want to reduce the file size in the case of a BMP, PNG , TIF or GIF, you can run BPP main menu to reduce the "Bit Per Plan" of the current picture before saving it (see File Open / Save).


Batch Convert File Format

Click Batch Convert File Format submenu under File main menu to convert to GIF, PNG, BMP, JPG, ICO or TIFF files from other file formats.

In the case of converting to PNG, in order to ensure smaller file sizes, you might wish to opt "Save As Paletted 8 Bit PNG".

Converted files are placed in the folder appointed by you, with same filenames, but a different file extension.

How to include individual files for conversion
  • Highlight the wanted files in the Source File box (to highlight multiple files, hold down Ctrl and/or Shift key), then either click Add button or use the right mouse to drag highlighted files to the Selected File box. Change the folder if you want to select files from another folder. The Selected File box shows the full file specifications.

  • The program will automatically rule out any duplicate inclusion.


Batch Streamline Image Size

Click Batch Streamline Image Size submenu under File main menu to resize images of selected files to a standard size. Available for GIF, PNG, BMP, JPG and TIFF files.

You might find this function of practical use when, e.g. you want to send quite a number of high-quality digital photos to friends for viewing on screen. Because being of high quality, (i) each image tends to be as large as many screenful on the PC screen of the recipients; and (ii) each file size itself tends to be bulky for transmital, therefore you may want to run this function to resize, in one stretch, all images to say 640 x 480 pixels first.

To avoid distortion of any resultant image, ensure that all source images in the batch are of the same aspect ratio (if pictures are taken at a different orientation, the program will automatically adjust the aspect ratio accordingly).

Files of resized images are placed in the folder appointed by you, with a suffix added to the respective file names.


Print

Below is the set page screen, the Printer diablog will appear only after you have clicked the Proceed button. Paper size of 8.5" x 11" is assumed. You can select the paper orientation.
The set page screen lets you select the left and top margins if you don't opt for Center. You can choose the printout to Fit To Paper, or else set to a desired enlargement or shrinkage percentage.
The adjacent Preview panel is to give you a visual gauge of the printout, per your selected page settings. It is updated instantaneously as and when you change the settings.


Inquiry

The following Information is readily available:
  • General Properties To display basic attributes of current image such as (1) original file size; (2) original image size; (3) current net image size; (4) original color depth; (5) current color depth and (6) whether there has been any change made, etc. [In addition: (a) If GIF, whether transparent color exists and interlaced, whether original file is an animated GIF. (b) If JPG, whether EXIF data exists. (c) If ICO, whether original file is a multi-icon file.]

    In the case of JPG, due to the compression algorithm it uses, the reported color depth is always 24-bit, if not a grayscale.

  • Colors Count To report on a count of actual colors used (sometimes the figure may be of tens of thousands).

  • Start Position & Size Of Current Screen To report on the viewport size, the image size and the offset of the image portion in the memory storing the image (relevant when the image is larger than the viewport).

  • Full File Specification To show the file specfication in full (while the one shown on the status bar, or that one in Windows Caption, may be an abbreviated one only).
Remarks: Animated GIF Main Screen has a separate Inquiry menu, e.g. Report If Any Discrepancy submenu, see Animated GIF Main Screen.


Options

Select from the available options in Options main menu to suit your favoured settings:

  • SDI or MDI

    Default is Multi-Document-Interface allowing you to open many document windows during a work session. If Single-Document-Interface is opted, only a single window; the newly opened document supersedes the previous on the screen (see Windows Area).

  • Watch RAM memory level

    • Do not monitor
    • Monitor if free RAM below 10 mb
    • Monitor if free RAM below 20 mb
    • Monitor if free RAM below 30 mb
    • Monitor if free RAM below 40 mb

  • Remind color setting if not at 32-bit

  • Fit-in even if picture is smaller when Fit-In set in View Mode

    (see View Mode v Paint Mode in Size & Resize).

  • Add back EXIF (if any) when Save JPG

    (Note: If the original image size has been changed, then the original EXIF data is no longer applicable, hence will not be added back).

  • Show pixel RGB color value when Fill tool or Replace Color tool is selected
    The RGB value of the pixel under mouse pointer will be displayed as a tooltip text.

  • Options for Current Session Only

    • Use alternative region marquee
      When you have a dark greyish image in current use. (see Line, Rectangle, Oval and Region in Toolbox).

    • Suspend canvas resize by edge dragging

    • Suspend region resize by edge dragging
      When the region drawn is tiny and you want to drag to move it.

    • Show [x, y] axis lines
      Applicable only when Paint / Erase / Oval / Filled Oval / Region / Oval Region tool selected.
Your chosen settings will be honoured with immediate effect and in subsequent program runs. Exceptions: (i) "Remind color setting if not at 32-bit" will take effect only in subsenquent program runs. (ii) Change of "Use alternative region marquee" will not be allowed while there is a region currently. (iii) Options for Current Session Only will be reset to default on next program start.


Windows

Use the Windows main menu to Cascade (to tile document windows horizontally), Tile (to tile document windows vertically) or select any of the displayed window captions to bring its window on top of the others (you can also directly click anywhere on the wanted document window to bring it on top).

Refer Windows Area for pertinent information.


Image Manipulations

Complimenting the basic tools and functions are text, filters and layer operations which you tend to deplay in order to further manipulate/enhance the images. They are part of the Main Functions of the paint program, summarized here for easy reference.

  • Text

  • Effects

  • Layer Operations


Text

Overlay a text on the image is an easy job with this program. Available text styles are: Ordinary, Hollow, Embossed, Engraved and Shadowed. You can rotate the text at any angle and you may select any available size, color and font (normal or custom).
The default text angle is 0 degree. If you set it to -90 or 90 degrees, the text would be vertical. Use the scrollbar to test the rotation between -359 and +359 degrees.

Text may not be written when a selected font size is unavailable for the selected font.

The written text will be placed at the top left corner of the viewport (which may or may not be the [0, 0] position of the image); you may move it as a region to anywhere by dragging, or you can simply right click the destination point. If you are to place the region in the middle of the entire image, hold down Ctrl key and right click on a point onside the region.

Click the button on the right of the displayed color to select the text color. If you wish to match the Selected Color on the main screen, click the button on the left side.
Before you finalize the region position, you can right click on the region to revise the written text, rather than fix it and then Undo.
Example of a cropped text You can easily crop a chosen backgroud into the written text, using Crop per Image Inside Region submenu under Edit main menu:
Besides writing text, this application provides numerous tools for you to create the desired effects, e.g. you can adjust the brightness of the written text or sharpen/soften it (refer Effects) or to blend in a background image (refer Layer Operations). You may also employ any tools in the Toolbox to modify the written text.


Effects

In conjunction with the tools for writing text (see Text) and the facilities for adding layers (see Layer Operations), the filters under Effects main menu are a wealth in your possession to create numerous possible effects, as illustrated by miniature specimens below:

  • Brighten / Darken
  • Sharpen / Soften
  • Contrast & Brighten / Darken
  • Gamma Correction
  • Fade
  • Antialiasing
  • Grayscale
  • Invert / Negative
  • Sepia
  • Mask
  • Cast / Emboss / Engrave
  • Adjust Elements Of Pixels
  • Swap Elements Of Pixels
  • Set Color Theme
  • Tile
  • Gradient
  • Pixelate (Mosaic)
  • Grainize (Tarnish)
  • Trace Edges
  • Add Grid Lines
  • Add Shadow
  • Add 3D Draw
  • Render Perspective
  • Slant Image
  • Bevel Image
See also Layer Operations of
  • Blend In (Layer Add)
  • Texturize (Layer Texture)

Brighten / Darken

To adjust brightness of painted colors, i.e. brighten or darken them (apply to whole image or a selected region if in existence). To exclude a certain color, select Contrast & Brighten / Darken instead.

You access the functions either through the submenus in Effects main menu or by clicking the corresponding buttons on Toolbar. The buttons on Toolbar are handly when you run Browse To Load Or Slide Show to examine your JPG digital photos which have newly been downloaded from your digital camera, with a click or two, you can easily adjust the brightness of any or all of the photos.

Note: If you are in an Animated GIF session, the adjustment is applied to all frames.

Sharpen / Soften

To sharpen/soften a blurred/edgy image.

Contrast & Brighten / Darken

Similar to Brighten / Darken, but (i) you have the option to exclude any color on the image from the process and (ii) you can specifiy weight of individual RGB color components.

Gamma Correction

To achieve similar purposes as above, but adopting a different approach, to correct the brightness and contrast due to difference in machines originating and displaying the image.

Fade

To fade the image to a chosen extent.

Antialiasing

To reduce color contrasts between adjacent pixels; a technique of smoothing an edgy image.

Grayscale

To turn colors of existing image into grayish colors of varying scales.

Invert / Negative

To invert the colors of the painted image, thus creating a negative. (Running this function again will revert the negative to the original.)

Sepia

To create sepia effects of the image.

Mask

To create a mask of the image.

Cast / Emboss / Engrave

To create cast, embossed or engraved effects of the image.

Adjust Elements Of Pixels

To alter RGB values (red, green and/or blue elements) of pixels. You can opt to exclude any color on the image from the process

Swap Elements Of Pixels

To swap RGB values of a pixel with another set of values, e.g. swap it with BGR.

Set Color Theme

To set/change a color theme for a colored (as distinguished from grayscale) image. (If you wish to replace a particular color only, i.e. to replace pixels of exact RGB, please refer Replace Color of the Tools section instead.)

Tile

To tile a small image across the entire image.

Gradient

With a gradual blending of your two chosen colors (left click if from color dialog, right click if to take selected color in main screen), to give gradient effects to (i) whole image, (ii) background areas only (you may select a background color from the image itself) or (iii) painted areas only. You can also choose to have the gradient as Linear (at any angle), Symmetric (at any angle), or Spherical (centered at your own chosen point).

Pixelate (Mosaic)

To create a blur / mosaic effect. Remarks: If there is a certain background which you want to reclaim (have the background areas clean of pixelation), you can do the following: (i) Create a mask (run Mask submenu of Effects main menu) and save it to a BMP file. (ii) Reload current picture. (iii) Run Blend In submenu of Layer main menu. (iv) In Blend In screen, select the earlier saved BMP mask file as the source file, set Translucency to 100%, tick Transparent checkbox and choose the Mask color (i.e. black) as the transparent color. (v) Click Load Source.

Grainize (Tarnish)

To add grains of pixel on image. (See Remarks in Pixelate)

Trace Edges

To trace edges of a picture. The miniature sample shows one obtained using Cutoff method (Sketch and Contour methods are also available).

Add Grid Lines

To add grid lines, at chosen intervals horizontally and/or vertically, on the picture. You can select the line color and size. You can also opt to skip the unpainted areas, as exemplified in the specimen shown.

Add Shadow

To add shadow to image at a chosen direction, darkness, distance and depth,

Note: There is a distinct difference between Add Shadow in Region Tool options and that in Effects menu. The former creates a shadow to the entire region (the shadow is outside the region) while the latter to image areas inside the picture - refer Region Options in Tool Options.

Add 3D Drow

Add spherical and/or cubic drawing to the image, aided by the program. Modifications are easy, e.g. click Fill tool to fill the sides of the Cube with other colors, and/or to fill them with different fill patterns.

Render Perspective

Render current image in a perspective view, with an impression of distance at a chosen direction.

Slant Image

Slant current image at your chosen direction.

Bevel Image

Create bevelled effects of current image at your chosen type and border width.

As always, you may process the resultant images further, e.g. you can run Set Color Theme to change the surface color, add image on top of it and adjust its brightness, etc.

Please be reminded to refer Text for text functions and to refer Layer Operations) for Blend In and Texturize functions.


Layer Operations

In addition to applying filters (see Effects), two commonly used layer operations are available under the Layer main menu..

Blend In (Layer Add)

To combine two images by blending the second into the first one, at your chosen degree of translucency (note that the choice of which image being the base will yield a different result).

You may choose whether to treat a selected image color to be the transparent color. If the blending image is smaller than the base one, you can opt to tile the blending image onto the base OR drag the incoming image to any position on the base image (then click any point outside the region to fix the blend in position).

You will find that this Layer Add function to be a great help, if you are to create individual frames for animation graphics.

Texturize (Layer Texture)

To create texturized effects as exemplified above. The first two are the results of applying a patterned image to a blank image which has been filled with yellow and cyan color respectively. The last two create a watermark on a plain button color image with a single custom-built pattern (different effects are arrived at by selecting Type 1 and 2). The custom pattern used is made with the Text function on a 48x48 image with a single color background, and saved in a bitmap file.

As always, you may process the resultant images further, e.g. you can run Set Color Theme to change the surface color, add image on top of it and adjust its brightness, etc.

Please be reminded to refer Effects for applying filters or adding effects.


Animated GIF Editor

The Animated GIF Editor incorporated in the program is a full-fledged one, geared for use by professionals and hobbyists alike. You can use the Paint facilities of this program to pre-draw individual frames, or directly go to the respective screens of Animated GIF Editor and create an animated GIF file from scratch.

New Animated GIF screen belongs to one of the several available methods to create an animated GIF file.

Animated GIF Main Screen is used to render and edit existing animated GIF files (add, remove, shift, change, duplicate and edit frames, etc).

It contains functions ranging from frame extraction to frame rearrangement, from palette editing to BPP changing, from image processing to series resizing, and from modifying settings to minimizing the file size, etc.

There are also facilities for you to directly import into an animated GIF file from the Windows' AVI and ANI formats - see Import From AVI Or ANI.

An Animated GIF Editor session is to process animated GIF files only. Since you will not be allowed to switch to document windows in the Windows Area of the main screen, to conserve memory it is advisable that you first close all currently opened files in the Windows Area, if any, before entering into an Animated GIF Editor session.

For an animated GIF, the number of frames is limited to 120, the size of each frame 3 mega pixels, and the width or height 2000 pixels.


New Animated GIF

There are more than one ways to create an animated GIF file:
  • Assemble individual GIF files, or files of other file formats such as BMP, JPG or PNG. You set the desired settings, then click Create button. This approach is recommended - see How To Create A New Animated GIF File - Method One (how to load individual files to Selected File box, etc).

    Tips: Though you can assemble assorted file formats, it would be more organized to include GIF files only. If you have non-GIF files, you can run Batch Convert submenu of File main menu to convert them into GIF files first.

  • Create a blank first frame - see How To Create A New Animated GIF File - Method Two.

  • Run "Load First Frame From GIF File" submenu of "New Animated GIF" menu.

    Alternatively, you may directly open an ordinary GIF with "Open Animated GIF" submenu (instead of New Animated GIF -->Load First Frame From GIF File submenu)

    Refer How To Create A New Animated GIF File - Method Three.

  • Automation (certain types of animated GIF can be fully automated) see How To Create A New Animated GIF File - Method Four.


How to create a new animated GIF - Method One

Method 1 - Assemble Pre-Drawn Frames

This method is adopted if you have pre-drawn individual frames using the Paint facilities of this program or other paint program. Select the Assemble Frames From Files submenu (under New Animated GIF menu) to load the pre-drawn GIF files (or files of other graphic formats such as BMP, JPG or PNG), set the desired settings and finally click Create button.

To make your job easier, if your pre-drawn frames are not in GIF format, you can run Batch Convert submenu of File main menu first - see Batch Convert.

How to load individual GIF files (or files of other graphic formats)
  • Highlight the wanted file(s) in the Source File box (to highlight multiple files, hold down Ctrl and/or Shift key), then either click Add button or use the right mouse to drag highlighted files to the Selected File box. Change the folder if you want to select files from another folder. The Selected File box shows the full file specifications (place the cursor over the item to see the tooltip text if the file specification is longer than the box width).

  • If duplicate file inclusion is to be allowed, uncheck the Disallowed Duplicate File box.

  • Before you click Create button (or Test Run button, or Summary Settings button) , finalize the file selection process first, because whenever a file is added to or removed from the Selected File box, the settings are cleared to default.
Notes: The Background Width and Height shown on screen is per the image size of the first frame. If subsequent frames have a greater size, it will be trimmed down accordingly.
Settings explained
  • Delay - the delay time before displaying the next frame image. It is expressed as the No. of hundredths of a second.

  • Disposal method - the treatment of the image of the frame after its display:

    • Unspecified - (Program is to ignore the setting).
    • Don't Dispose - The displayed frame image is to be left in place.
    • To Background - Restore to the background color.
    • To Previous - Restore to the previous graphics.

  • [Left, top] - the frame starting position (Normally [0, 0], unless you have frames of a size smaller than the background size. The background size is usually per the size of the first frame).

  • Palette scope - whether Local or Global (Use of Global palette reduces file size. If Global, a single color table is used by some, if not all, frames - actual colors of individual frames permitting).

  • Transparent - whether there is a color to be regarded as transparent color (if Yes, then select such a color).

  • Interlaced - (If interlaced, graphic details would be shown progressively as and when they are being processed. Suggest to leave it to "No".).

  • Palette sorted - (If sorted, the color table is arranged in the order of decreasing frequency; with most frequent color first. Suggest to leave it to "No").

  • Loops - (a.k.a. Netcape loop. Setting number of loops. Not all browsers honor this setting. Normally just leave it to "0", meaning infinitive. This setting pertains to file as a whole).

  • Comment - (Suggest to leave it blank, but you may enter, e.g. your name. This setting pertains to file as a whole).
Except for the transparency, you can change any of the above-listed settings after creating a new animated GIF, see Modify Settings. (To change Transparent setting, invoke Edit Palette screen instead.)

How to set and apply settings
  • To change the settings for a single frame, tick the checkbox "Set Current Frame Only" (Otherwise, when you click Set button, the settings are applied to all frames).

  • If Transparent Color is used by the frame(s), select the transparent color with a right-click on a spot showing that color in the displayed image.

  • The width and height of the first frame will be used as the background screen size governing the frames following it, i.e. if any subsequent frame is larger, its size will be trimmed down..

  • The starting position of the first frame is maintained at [0, 0].

  • Until the Set button is clicked, the changes of setting are not effected.

  • For a summary of the settings, including the palette, click Summary Settings button.
For available alternative methods, refer New Animated GIF.


How to create a new animated GIF - Method Two

Method 2 - Create A Blank First Frame

Method Two allows you to create a blank first frame to start with. After invoking the Assemble Frames From Files screen, you just click the Create button without selecting any file. Prior to clicking the Create button, you might want to change some of the default settings (and click Set button) first.

Remarks: Since you are to create a blank first frame, if you have already loaded files into the Selected Fle box, empty the box first befroe clicking Create button (To remove items in the Selected File box, highlight them and click Remove button. To highlight multiple files, hold down Ctrl and/or Shift key).

The program will then load the first blank frame to the Animated GIF Main Screen where you can invoke Edit Image screen to paint the newly created first frame. You may also add additional frames and run other available functions there.
For available alternative methods, refer New Animated GIF.


How to create a new animated GIF - Method Three

How to create a new animated GIF file - Method Three

Method 3 - Load First Frame From GIF File

Method Three lets you directly open an ordinary GIF, as the first frame of an animated GIF file.

Click "New Animated GIF --> Load First Frame From GIF File" (Alternatively you can click "Open Animated GIF" submenu, rather than "New Animated GIF" submenu.) You will arrive at the Animated GIF Main Screen instead of the Assemble Frames From Files screen..

After loading the first frame, you can use Edit Frame Series function in the Animated GIF Main Screen to add subsequent frames. You might also use other available functions there, e.g. to change the time delay between frames, the transparent color and/or the palette scope, etc.
For available alternative methods, refer New Animated GIF.


How to create a new animated GIF - Method Four

Method 4 - Auto-Generate Frame Series

The processes for certain types of animated GIF file can be automated with a series of frames forming the transition effects, e.g. the animating buttons you often see on the web or the greeting cards you might have received from friends.
  • Magnifying
  • Stretching
  • Progressing
  • Shifting
  • Revolving
  • Rotating
  • Transition (various)
You only need to supply one or two base frames (just of ordinary gif file), depending on the type of animation desired. Choose the number of frames required and the delay time intervals, then a single click to let the program generate an animated GIF file for you.

If you select a single base operation, you may opt whether or not to use a transparent color (the transparent color is selected from the image). You decide how many frames to create - generally the more the frames the finer the results (however, the larger the file size).

After creating frames, click Undo button if you wish to redo. Before you save the newly created animated GIF file, you may click Test button to have a feel of how it behaves. On the testing screen, you can adjust the time delay of a selected frame or all frames.

You can further process a saved animated GIF file. For example. after auto-generating frames from "Magnifying" function, you can retrieve the saved file with "Open Animated GIF", run Extract All Frames function there, then rebuild the file by adding more frames (e.g. from smallest to largest and back to the smallest again) and/or by re-arranging the sequence of frames (.e.g. instead of magnifying, shrinking effects).


Animated GIF Main Screen

Animated GIF Main Screen is one of the two main screens of Animated GIF Editor, invoked from a submenu of Animated GIF main menu.
The display of frames in the Film Strip panel and the display of Current Frame will vary according to the Background Type you have selected:
The Brighten/Darken buttons at the top portion apply to all frames directly.
The main functions are represented by the buttons in the command buttons panel, as listed below:
  • Select to select a frame into the docoment window in the program's main screen and thus ending the Animated GIF session.

  • Extract to extract a selected frame into a GIF file.

  • Extract All to extract all frames into individual GIF files.

  • Superimpose to add an image onto all frames at a selected position (refer Superimpose section).

  • Edit Image Series to insert / delete / replace / shift / edit frames (refer Edit Image Series section).

  • Edit Image Of Frame to edit image of a selected frame (refer Edit Image Of Frame section).

  • Resize Frame Series to resize frame series, e.g. enlarge them by 100% (refer Resize Frame Series section).

  • Minimize File Size to minimize file size, e.g. remove unused/duplicated entries in palettes (refer Minimize File Size section).

  • Optimize / Change BPP to optimize / change BPP (refer Optimize / Change BPP section).

  • Modify Settings to modify settings such as delay, disposal method and [left, top] point, etc. (refer Modify Settings section).

  • Edit Palette to edit entries in palette table(s) (refer Edit Palette section).

  • Save to save processed frames in an animated GIF file.
There is a button at the top right position in the command buttons panel for you to test animation (toggle between Animate and Stop). The two smaller buttons are respectively for testing animation in Internet Explorer window (however, it is recommended to use the Animate button instead) and for copying the selected frame to clipboard.
Remarks: Not included in the above main functions is Report If Any Discrepancy submenu under Inquiry main menu. This peripheral function is to audit through individual frames for any discrepancies in areas of global palette status, palette entries, transparency, disposal mode and [left, top] positions, etc.


Superimpose

Having built an animated GIF file for yourself, a good idea suddenly pops up that it would be ideal if you add, say a bright spot, at a particular location on all frames. To go back to individual frames and carry out the idea frame by frame would be just too tedious, here you have the "Superimpose" function to help - frames need not be of identical size.
Tick / untick the frame reference indices on screen to include / exclude the frames in the operation (default is to include all frames).
You have two ways to superimpose the incoming image: through Paste or by opening the file containing the image. The incoming image will be placed at the top left corner of the first frame on screen. You drag it to the desired positon, then either click the arrow button or left click a point outside the region to finalize it. Instead of dragging the add-on image, you can right click the destination point to bring it there. If you hold down Ctrl key while you right click, the image will be placed at the center of the base image.
The default "Treat Color At Top Pixel As Transparent" box is ticked. If that is not what you want, untick it.
Before you accept the work, you can examine the new frames on the screen first, and you can click Animate button to see the animation of modified frames. If you wish to redo, click Restore button first. If to abort, click Restore button and then Close button.
Remarks: All frames are using local palettes after Superimpose operation. Therefore, on returning to the Animated GIF Main Screen you may wish to run Minimize File Size function to try to change them to use the global palette.


Edit Image Series

The "Edit Image Series" has a collection of command buttons to carry out Insert Blank, Insert Image, Clone, Replace, Swap, Delete, Shift, Edit Frame Setting and Edit Frame Image operations.
The usage of each command buttom is apparent. The following notes are relevant:
Resulting from the various operations, some frames might have been changed from using global to using local palettes. On returning to the Animated GIF Main Screen you can run Minimize File Size function to try to change them to use a global palette.
To copy a frame as an additional frame, add a Blank first.
When you add a Blank, a default background color is applied: (i) If global palette exists and there is a transparent color, the transparent color. (ii) If global palette exists and there is not a transparent color, a white color. If no white color in global palette, the color of first index in palette table. (iii) If no global palette in existence, a white color.
If you load an image to a frame from a file, the size of image loaded is confined to the size limit of the frame.
N.B. Altering the size of the first frame may result in size/position changes of subsequent frames.


Edit Image Of Frame

To edit the image of a frame, click Edit Image button either in the Animated GIF Main Screen (no Undo on return) or in the Edit Image Series panal (Undo available on return). You will notice that the frame image editing screen looks similar to that of a document window in the program's main screen. There are subtle differences between the two, e.g. functions which would result in diluted colors are avoided in the former, taking into account of the fact that animated GIF frames are invariably confined to a 256-color boundary, the user might want to limit the use of colors to those of the current frame's palette only. However, if you wish to use antialised line or enhanced oval, you can tick the Allow Antialias checkbox.
Normally you would click "Apply Changes To Current Frame" upon completion of edit to update the current frame. However, for your extra convenience the program allows you to apply the edit, i.e. the difference between the original frame and the edited frame, to be applied to multiple frames, thus saving you the trouble of editing individual frames for the same paint or erase. When this is applicable (you want to apply the same change to multiple frames and these frames are of the same size), you may choose "Apply Changes To Multiple Frames" and select the frames to apply.
  • If curret frame is using global palette and you wish to maintain this setting, then you should (1) use only the original frame palette as availed on the screen; and (2) leave the default "Allow Antialias" box unchecked. Otherwise, the frame may be changed to use local palette; in that case, you may afterwards try to run Minimize File Size function to realign it to the global palette.

  • If you use your own palettes and/or system color chart, or if you tick "Allow Antialias" checkbox (allowing antialiasing to be applied in Line, Arc chord or Oval drawing), program will check that the resultant no. of colors does not exeeed 256. If it does, program will reduce the no. by applying an optimization algorithum (you will be asked first).

  • If you resize the frame, it will be subject to the new size not exceeding the background screen size of the frame series.

From time to time during the edit session, you can save the frame to a separate single frame file. This provides yet another way for you to accuumlate individual frames, ready to be assembled into an animated GIF in a separate work session (see New Animated GIF Screen).


Resize Frame Series

If you wish to resize the animated GIF frames that you have already built, you can, with the help of the "Resize Frame Series" function. Frames need not be of an identical size, and you can select to set the desired percentage in terms of the area or of the width/height of original frames.
Proceed button is dimmed when the selection is 100% of the original size.
After resizing frame series, the original global and local palettes should remain intact normally. However, you should examine the resulting images of individual frames. Click Undo if you don't like the result.
If the series have frames of different sizes, you might have to adjust 1 or 2 pixels of the [left, top] position of the smaller frames afterwards, due to the effect of rounding during resizing.
The following rules are applicable in setting the resizing parameters:
  • (1) If Set Background/Screen Size Only checkbox is not ticked, frame sizes will be adjusted accordingly, preserving original aspect ratios. It would not be allowed if the resulting size would render any smaller frame to disappear (the reduced size is smaller than the original [left, top] value of any of the frames).

  • (2) When Set Background/Screen Size Only checkbox is ticked, there will not be an enlargement or shrinkage of images themselves (though it might affect the frame sizes). Therefore, tick "Change Background/Screen Size Only" if you intend to trim down, or augment, the existing frame sizes without changing the image sizes themselves.

  • (3) The [left, top] offset values, and the "Preserve" selection, are relevant only when you have opted Set Background/Screen Size Only.

    You can adjust the background size from any direction, through a combination of the settings.

    Unless you desire to trim the top and/or left sides, you should leave the offset at default [0, 0]. The maximum offsets allowed are 1/2 of original width and 1/2 of original height, less the largest [left, top] setting in original frames. The offset value will be added to the original [left, top] settings of individual frames. If you set the offset value to other than [0, 0] and this results in the frame extending beyond the resized background size, that frame size will be reduced accordingly.

    If you wish to preserve the existing right side and/or bottom side, select the relevant "Preserve" option. For example, if you have a file with the background size of 100x100 pixels and you want to reduce the right and bottom sides by 10 pixels, you should set the size to 90% in terms of Width/Height, leave the offset to [0, 0], and select Allow Change Both Right And Bottom Sides option. On the hand, if you desire to reduce only the left and top sides by 10 pixels, then you should set the offset to [10, 10] and opt Preserve Right and Bottom Sides. In this case, the resize percentage and the offset value permitting, the right side and bottom side will not be subject to cut. Should you wish to cut 10 pixels on all sides, then you should set the size to 80% in terms of Width/Height, set the offset to [10, 10] and select Allow Change Both Right And Bottom Sides option.

    If the new percentage does not result in a change in screen width or height, try to adjust the percentage value, the offset value and/or the Preserve selection, as the case may be.

  • (4) The original [left, top] starting positions of smaller frames, if any, are automatically adjusted during resizing processes.

  • (5) The new widths and heights, taking into account of the above-listed factors, are shown at the lower part of the panel for your reference.


Minimize File Size

People running the web sites naturally would wish to minimize the sizes of animated GIF files that they want to use. The "Minimize File Size" function is geared to help in this aspect.
An animated GIF file may have room for size reduction in a few key areas, notably:
  • Removal of unused and/or duplicated palette entries.
  • Removal of comment, if any.
  • Removal of slack transparent areas.
  • Change from local to global palette and in the process eliminating any unused/duplicated local palette entries.
At other times, you may also want to run this function, e.g. after running the Superimpose function, after Edit Frame Series, or after Edit Image Of Frame.
Although the "Optimize / Change BPP" function is also capable of changing from local to global palette for the frames, it rebuilds new palettes for the frames through optimization processes. No such processes are involved in the case of "Minimize File Size".
If this function fails to change all frames from local to global, after you opted to "Change From Local To Global Palette" (probably because the number of entries in the global palette would otherwise execeed the 256 ceiling), you may try to run Optimize / Change BPP function (despite that the frames are already of 8 BPP, i.e. already with 256 entries in their palettes).
A report on both the previous and the new file sizes is rendered on the screen, each time you have run the function.


Optimize / Change BPP

This function, when run, invariably rebuilds the palettes for the frames basing on the colors of their current images, the objective is two-fold:
  • To change BPP, if the one you set is different to the existing one, thus decreasing or increasing the ceiling set for palette entries.

  • To change from local to global palette for the frames (Remarks: If you had failed to carry out the said change using Minimize File Size, you may try this place). When this is the purpose, avoid setting a BPP lower than the existing one.
After executing the change, you may wish to examine the individual frames on screen, test the animation, and perhaps compare the palette entries between the new ones and the old ones (available side by side if you click Show Palettes button). Click Restore before leaving, if you want to abort this session.


Modify Settings

Modify Settings screen is the central place to modify the various settings of the frames, for example, to adjust the delay time between frames, to add/modify/remove comment, to modify a particular frame from local to global palette, etc. For an explantion of the individual settings, refer Settings Explained. (To modify Transparency setting - e.g. whether or not there is a Transparent Color or change the Transparent Color, invoke Edit Palatte screen instead.)
There are two boxes with yellowish background color. The box at the top lets you select whether the modifications are to be applied to all frames, or to a selected frame only. The box below it lets you select whether to modify all settings, or just a particular item only.
Please be reminded that before you modify certain settings for a frame, e.g. disposal method, consider the possible implications on other frames.
Click the small "X" button whenever you want the existing settings of the selected frame to be shown in the respective placeholders. Whenever you select a frame, the defaults are the existing settings of the selected frame.


Edit Palette

Since the image of each frame must be mapped to a palette, editing that palette affects the image directly. This function takes advantage of the fact and lets you manipulate the palettes in the following aspects:
  • Replace the color of an entry in the palette table with another color to be selected from the system's color chart.
  • Change the transparent color to another color, by changing the transparent index reference to another one in the palette table.
  • Replace the transparent color with another color to be selected from the system's color chart.
  • Expand the original No. of palette entries if not already of 256, e.g. original is 7-BPP (128 entries). Remarks: You may also run "Optimize / Change BPP" instead.
  • Remove a color entry from the palette table.
To select an entry in the palette table, click the entry in the palette table or click a point on the image having that color. The currently selected index entry blinks on screen.

To change the color of an entry in the palette table, right click on the index entry. Alternatively, select the index, then click the button on the panel.
To remove a color entry from the palette table, click "To Delete Entry" button. When the sub-screen appears, first select the index for removal, then select a replacing color in the palette table:


Import From AVI Or ANI

AVI (Audio Video Interleave) and ANI (Animated Cursor) files are commonly found right after your installation of a Windows system, as they are defined by Microsoft. Each is of a different format, typically made up of a series of individual frames.
To import from AVI, see Import From AVI File. To import from ANI, see Import From ANI File;


Import From Windows AVI File

Import From AVI File

AVI here is the one of so-call Stream 1, not that you use to play a movie.
To import to an animated GIF file from a Windows AVI file, click Import submenu under Animated GIF main menu. On the Import AVI screen, click the Open button to open your AVI file, the rest will be taken care of by the program.

You may change the transparent color; right click a color in the displayed palette of the imported frames.

To test animation on import, click Animate button. The delay time intervals between frames are per original AVI time delay which you may adjust with the Modify Settings function in the Animated GIF Main Screen.


Import From Windows ANI File

Import From ANI File

To import to an animated GIF file from an animated cursor (ANI) file, click Import submenu under Animated GIF main menu. On the Import ANI screen, click the Open button to open your ANI file, the rest will be taken care of by the program.

You may change the transparent color; right click a color in the displayed palette of the imported frames.

To test animation on import, click Animate button. The delay time intervals between frames are per original ANI time delay (jiffies x 60) which you may adjust with the Modify Settings function in the Animated GIF Main Screen.


Digital Photo

If JPG files are downloaded from a digital camera, each has an EXIF data section containing information about the photo.

JPG is but one of the file formats welcomed in this program; once the image is loaded, it can be manipulated like any others. For example, if you have not set Option to SDI, you can consolidate several pictures into one - some cropped in oval shape and some cropped in rectangular shape - making a nice miniature family album on a single picture.

This program provides useful functions pertaining to JPG with EXIF:
  • Browse JPG files in selected folders.
  • Read EXIF data (see EXIF sample).
  • Erase EXIF data (in order to reduce the file size).
  • Bulk erase EXIF data (rid all of them in a folder, e.g. so the zip file for transmital is smaller).
  • Stamp Photos To list original photo taking dates and let you selectively print them on photos (optionally print additional text to be typed in).
  • Synchronize File Dates To list original photo taking dates and let you selectively synchronize the file dates with "photo taken dates" (so that by sorting the files per date, you can tell which photos were taken on which date).
  • Streamline Image Size. To standardize/resize assorted image sizes to a single size, for ease of transmission and/or storage.
In Bulk Erase, Stamp Photos and Synchronize File Dates screens, the photo-taking dates and the file names are listed side-by-side for your easy reference.

If any, items on list with an asterisk are without EXIF information.

Reminder: If you have selected the Option "Add Back EXIF On Save EXIF JPG File", the original EXIF data will be saved back to file even after you have modified the image, e.g. brightened/darkened the image. (Note: If the original image size has been changed, then the original EXIF data is no longer applicable, hence will not be added back).

In view of possible variations in EXIF version/format, before a particular brand/model of camera is tested, it is suggested that you save the file to a different name first.


Read EXIF Data

The following is an extract of the EXIF data obtained from a JPG photo. It shows, inter alia, the manufacturer and modal of the camera used, date taken, shutter speed used, exposure, aperture, brightness and size of image, etc.

Manufacturer: FUJIFILM
Model: FinePix2650
DateTime: 2003:06:02 01:31:36
ExposureTime: 1/110 sec
ShutterSpeedValue: 1/111 sec
ApertureValue: 8.6
BrightnessValue: 862/100
Flash: 24
FocalLength: 14.3 mm
ExifOriginalImageWidth: 640
ExifOriginalImageHeight: 480
.......
.......
.......


Stamp Photos

Your digital photos may or may not have a date printed on them, even if they have, you might want to add some text on the photos, e.g. places where they were taken. The "Stamp Photos With EXIF Date (&/Or Text)" submenu under DigiPhoto main menu lets you do that.

Use the folder list provided to switch to the folder containing the JPG photo files.
If the JPG files are originated directly from a digital camera, the photo taking dates are shown on screen along with the file names. You can select to list the JPG files in the original file name order or sorted by the photo taking dates.
Make a selection whether to stamp EXIF date only, text alone, or both date and text (which you are to type in). Then select your preferred color, JPG quality and the position to stamp on.
A reminder: There is a Stamp tool in Toolbox, with which you can make your own stamp by typing in a text or by loading a stamp from a bmp file, e.g. a logo or armorial. However, in which case you have to stamp on individual photos manually.


Synchronize File Dates

At times you might wish that, without going into the photos themselves, you could tell which photos were taken on which dates, so that, e.g. you can selectively send them for print or distribute to different groups of friend. The "Synchronize File Dates With EXF Dates" submenu under DigiPhoto main menu would help you - by synchronizing the file dates with those of the EXIF dates.

Use the folder list provided to switch to the folder containing the JPG photo files.
If the JPG files are originated directly from a digital camera, the photo taking dates are shown on screen along with the file names. You can select to list the JPG files in the original file name order or sorted by the photo taking dates.
If you wish to confine to files of a particular date, tick "Confine To EXIF Date Specified Below Only" box and specify the date.